
******************************************************.
*  KID_1997_CORE.SPS --- THIS SPSS CODE WILL CONVERT *.
*                        THE ASCII KID CORE FILE     *.
*                        TO AN SPSS DATA FILE        *.
******************************************************. 

***** Define the data file *****.

DATA LIST FIXED FILE='Input ASCII file name'/
   HOSPNUM  1-5    
   RECNUM   6-12   
   ADAYWK   13-14  
   AGE      15-17  
   AGEDAY   18-20   
   AGEMONTH 21-23   
   AMONTH   24-25   
   ASOURCE  26-27   
   ATYPE    28-29   
   DCCHPR1  30-32   
   DIED     33-34   
   DISCWT_U 35-44 (5)  
   DISP     45-46    
   DQTR     47-47    
   DRG      48-50    
   DRG10    51-53    
   DX1      54-58 (A) 
   DX2      59-63 (A) 
   DX3      64-68 (A) 
   DX4      69-73 (A) 
   DX5      74-78 (A) 
   DX6      79-83 (A) 
   DX7      84-88 (A) 
   DX8      89-93 (A) 
   DX9      94-98 (A) 
   DX10     99-103  (A) 
   DX11     104-108 (A)
   DX12     109-113 (A)
   DX13     114-118 (A)
   DX14     119-123 (A)
   DX15     124-128 (A)
   DXV1     129-130   
   DXV2     131-132   
   DXV3     133-134   
   DXV4     135-136   
   DXV5     137-138   
   DXV6     139-140   
   DXV7     141-142   
   DXV8     143-144   
   DXV9     145-146   
   DXV10    147-148   
   DXV11    149-150   
   DXV12    151-152   
   DXV13    153-154   
   DXV14    155-156   
   DXV15    157-158   
   HOSPBRTH 159-159   
   LOS      160-164   
   LOS_X    165-170   
   MDC      171-172   
   MDID_S   173-188 (A) 
   NDX      189-190  
   NEOMAT   191-191  
   NPR      192-193  
   PAY1     194-195  
   PAY2     196-197  
   PAY1_N   198-199  
   PAY2_N   200-201  
   PCCHPR1  202-204  
   PR1      205-208 (A) 
   PR2      209-212 (A) 
   PR3      213-216 (A) 
   PR4      217-220 (A) 
   PR5      221-224 (A) 
   PR6      225-228 (A) 
   PR7      229-232 (A) 
   PR8      233-236 (A) 
   PR9      237-240 (A) 
   PR10     241-244 (A) 
   PR11     245-248 (A) 
   PR12     249-252 (A) 
   PR13     253-256 (A) 
   PR14     257-260 (A) 
   PR15     261-264 (A) 
   PRDAY1   265-269  
   PRV1     270-271  
   PRV2     272-273  
   PRV3     274-275  
   PRV4     276-277  
   PRV5     278-279  
   PRV6     280-281  
   PRV7     282-283  
   PRV8     284-285  
   PRV9     286-287   
   PRV10    288-289   
   PRV11    290-291   
   PRV12    292-293   
   PRV13    294-295   
   PRV14    296-297   
   PRV15    298-299   
   RACE     300-301   
   SEX      302-303   
   SURGID_S 304-319 (A) 
   TOTCHG   320-329   
   TOTCHG_X 330-344 (2)
   UNCBRTH  345-345 
   ZIPINC4  346-347.

***** Define missing values *****.

MISSING VALUES 
   ADAYWK AMONTH ASOURCE ATYPE DIED DISP DXV1 to DXV15 
   MDC NDX NPR to PAY2_N PRV1 to SEX ZIPINC4 (-9 thru -6)
   AGE AGEDAY AGEMONTH DCCHPR1 DRG DRG10 PCCHPR1 (-99 thru -66)
   LOS PRDAY1 (-9999 thru -6666)
   LOS_X (-99999 thru -66666)
   TOTCHG (-999999999 thru -666666666)
   TOTCHG_X (-99999999999.99 thru -66666666666.66).

***** Assign labels to variables *****.

VARIABLE LABELS 
   HOSPNUM  'Num Synthetic hospital number'
   RECNUM   'Num Sequential record number'
   ADAYWK   'Admission day of week'
   AGE      'Age in years at admission'
   AGEDAY   'Age in days (when < 1 year)'
   AGEMONTH 'Age in months (when < 11 years)'
   AMONTH   'Admission month'
   ASOURCE  'Admission source'
   ATYPE    'Admission type'
   DCCHPR1  'CCHPR: principal diagnosis'
   DIED     'Died during hospitalization'
   DISCWT_U 'Weight to discharges in universe'
   DISP     'Disposition of patient'
   DQTR     'Discharge quarter'
   DRG      'DRG in effect on discharge date'
   DRG10    'DRG, Version 10'
   DX1      'Principal diagnosis'
   DX2      'Diagnosis 2'
   DX3      'Diagnosis 3'
   DX4      'Diagnosis 4'
   DX5      'Diagnosis 5'
   DX6      'Diagnosis 6'
   DX7      'Diagnosis 7'
   DX8      'Diagnosis 8'
   DX9      'Diagnosis 9'
   DX10     'Diagnosis 10'
   DX11     'Diagnosis 11'
   DX12     'Diagnosis 12'
   DX13     'Diagnosis 13'
   DX14     'Diagnosis 14'
   DX15     'Diagnosis 15'
   DXV1     'Validity flag: principal diagnosis'
   DXV2     'Validity flag: diagnosis 2'
   DXV3     'Validity flag: diagnosis 3'
   DXV4     'Validity flag: diagnosis 4'
   DXV5     'Validity flag: diagnosis 5'
   DXV6     'Validity flag: diagnosis 6'
   DXV7     'Validity flag: diagnosis 7'
   DXV8     'Validity flag: diagnosis 8'
   DXV9     'Validity flag: diagnosis 9'
   DXV10    'Validity flag: diagnosis 10'
   DXV11    'Validity flag: diagnosis 11'
   DXV12    'Validity flag: diagnosis 12'
   DXV13    'Validity flag: diagnosis 13'
   DXV14    'Validity flag: diagnosis 14'
   DXV15    'Validity flag: diagnosis 15'
   HOSPBRTH 'Birth DX, in this hospital'
   LOS      'Length of stay (cleaned)'
   LOS_X    'Length of stay (uncleaned)'
   MDC      'MDC in effect on discharge date'
   MDID_S   'Attending physician number (synthetic)'
   NDX      'Number of diagnoses on this discharge'
   NEOMAT   'Neonatal and/or maternal DX and/or PR'
   NPR      'Number of procedures on this discharge'
   PAY1     'Primary expected payer, uniform'
   PAY2     'Secondary expected payer, uniform'
   PAY1_N   'Primary expected payer, nonuniform'
   PAY2_N   'Secondary expected payer, nonuniform'
   PCCHPR1  'CCHPR: principal procedure'
   PR1      'Principal procedure'
   PR2      'Procedure 2'
   PR3      'Procedure 3'
   PR4      'Procedure 4'
   PR5      'Procedure 5'
   PR6      'Procedure 6'
   PR7      'Procedure 7'
   PR8      'Procedure 8'
   PR9      'Procedure 9'
   PR10     'Procedure 10'
   PR11     'Procedure 11'
   PR12     'Procedure 12'
   PR13     'Procedure 13'
   PR14     'Procedure 14'
   PR15     'Procedure 15'
   PRDAY1   'No. of days from admission to PR1'
   PRV1     'Validity flag: principal procedure'
   PRV2     'Validity flag: procedure 2'
   PRV3     'Validity flag: procedure 3'
   PRV4     'Validity flag: procedure 4'
   PRV5     'Validity flag: procedure 5'
   PRV6     'Validity flag: procedure 6'
   PRV7     'Validity flag: procedure 7'
   PRV8     'Validity flag: procedure 8'
   PRV9     'Validity flag: procedure 9'
   PRV10    'Validity flag: procedure 10'
   PRV11    'Validity flag: procedure 11'
   PRV12    'Validity flag: procedure 12'
   PRV13    'Validity flag: procedure 13'
   PRV14    'Validity flag: procedure 14'
   PRV15    'Validity flag: procedure 15'
   RACE     'Race'
   SEX      'Sex'
   SURGID_S 'Primary surgeon number (synthetic)'
   TOTCHG   'Total charges (cleaned)'
   TOTCHG_X 'Total charges (from data source)'
   UNCBRTH  'Normal uncomplicated birth in hospital'
   ZIPINC4  'Median income-pts zip code-4 categs'.

***** To permanently store the output SPSS data file *****.

SAVE OUTFILE='Directory and output SPSS file name'.
