/*****************************************************************************
* SPSSload_KID_2019_DX_PR_GRPS.SPS
* This program will load the KID_2019_DX_PR_GRPS ASCII File into SPSS.
* Created on 12/02/2022.
*****************************************************************************/

*** Read data elements from the ASCII file ***.
DATA LIST FILE = 'KID_2019_DX_PR_GRPS.ASC' FIXED / 
    HOSP_KID                    1-   5
    RECNUM                      6-  13
    DXCCSR_BLD001              14    
    DXCCSR_BLD002              15    
    DXCCSR_BLD003              16    
    DXCCSR_BLD004              17    
    DXCCSR_BLD005              18    
    DXCCSR_BLD006              19    
    DXCCSR_BLD007              20    
    DXCCSR_BLD008              21    
    DXCCSR_BLD009              22    
    DXCCSR_BLD010              23    
    DXCCSR_CIR001              24    
    DXCCSR_CIR002              25    
    DXCCSR_CIR003              26    
    DXCCSR_CIR004              27    
    DXCCSR_CIR005              28    
    DXCCSR_CIR006              29    
    DXCCSR_CIR007              30    
    DXCCSR_CIR008              31    
    DXCCSR_CIR009              32    
    DXCCSR_CIR010              33    
    DXCCSR_CIR011              34    
    DXCCSR_CIR012              35    
    DXCCSR_CIR013              36    
    DXCCSR_CIR014              37    
    DXCCSR_CIR015              38    
    DXCCSR_CIR016              39    
    DXCCSR_CIR017              40    
    DXCCSR_CIR018              41    
    DXCCSR_CIR019              42    
    DXCCSR_CIR020              43    
    DXCCSR_CIR021              44    
    DXCCSR_CIR022              45    
    DXCCSR_CIR023              46    
    DXCCSR_CIR024              47    
    DXCCSR_CIR025              48    
    DXCCSR_CIR026              49    
    DXCCSR_CIR027              50    
    DXCCSR_CIR028              51    
    DXCCSR_CIR029              52    
    DXCCSR_CIR030              53    
    DXCCSR_CIR031              54    
    DXCCSR_CIR032              55    
    DXCCSR_CIR033              56    
    DXCCSR_CIR034              57    
    DXCCSR_CIR035              58    
    DXCCSR_CIR036              59    
    DXCCSR_CIR037              60    
    DXCCSR_CIR038              61    
    DXCCSR_CIR039              62    
    DXCCSR_DIG001              63    
    DXCCSR_DIG002              64    
    DXCCSR_DIG003              65    
    DXCCSR_DIG004              66    
    DXCCSR_DIG005              67    
    DXCCSR_DIG006              68    
    DXCCSR_DIG007              69    
    DXCCSR_DIG008              70    
    DXCCSR_DIG009              71    
    DXCCSR_DIG010              72    
    DXCCSR_DIG011              73    
    DXCCSR_DIG012              74    
    DXCCSR_DIG013              75    
    DXCCSR_DIG014              76    
    DXCCSR_DIG015              77    
    DXCCSR_DIG016              78    
    DXCCSR_DIG017              79    
    DXCCSR_DIG018              80    
    DXCCSR_DIG019              81    
    DXCCSR_DIG020              82    
    DXCCSR_DIG021              83    
    DXCCSR_DIG022              84    
    DXCCSR_DIG023              85    
    DXCCSR_DIG024              86    
    DXCCSR_DIG025              87    
    DXCCSR_Default_DX1         88-  93 (A)
    DXCCSR_EAR001              94    
    DXCCSR_EAR002              95    
    DXCCSR_EAR003              96    
    DXCCSR_EAR004              97    
    DXCCSR_EAR005              98    
    DXCCSR_EAR006              99    
    DXCCSR_END001             100    
    DXCCSR_END002             101    
    DXCCSR_END003             102    
    DXCCSR_END004             103    
    DXCCSR_END005             104    
    DXCCSR_END006             105    
    DXCCSR_END007             106    
    DXCCSR_END008             107    
    DXCCSR_END009             108    
    DXCCSR_END010             109    
    DXCCSR_END011             110    
    DXCCSR_END012             111    
    DXCCSR_END013             112    
    DXCCSR_END014             113    
    DXCCSR_END015             114    
    DXCCSR_END016             115    
    DXCCSR_END017             116    
    DXCCSR_EXT001             117    
    DXCCSR_EXT002             118    
    DXCCSR_EXT003             119    
    DXCCSR_EXT004             120    
    DXCCSR_EXT005             121    
    DXCCSR_EXT006             122    
    DXCCSR_EXT007             123    
    DXCCSR_EXT008             124    
    DXCCSR_EXT009             125    
    DXCCSR_EXT010             126    
    DXCCSR_EXT011             127    
    DXCCSR_EXT012             128    
    DXCCSR_EXT013             129    
    DXCCSR_EXT014             130    
    DXCCSR_EXT015             131    
    DXCCSR_EXT016             132    
    DXCCSR_EXT017             133    
    DXCCSR_EXT018             134    
    DXCCSR_EXT019             135    
    DXCCSR_EXT020             136    
    DXCCSR_EXT021             137    
    DXCCSR_EXT022             138    
    DXCCSR_EXT023             139    
    DXCCSR_EXT024             140    
    DXCCSR_EXT025             141    
    DXCCSR_EXT026             142    
    DXCCSR_EXT027             143    
    DXCCSR_EXT028             144    
    DXCCSR_EXT029             145    
    DXCCSR_EXT030             146    
    DXCCSR_EYE001             147    
    DXCCSR_EYE002             148    
    DXCCSR_EYE003             149    
    DXCCSR_EYE004             150    
    DXCCSR_EYE005             151    
    DXCCSR_EYE006             152    
    DXCCSR_EYE007             153    
    DXCCSR_EYE008             154    
    DXCCSR_EYE009             155    
    DXCCSR_EYE010             156    
    DXCCSR_EYE011             157    
    DXCCSR_EYE012             158    
    DXCCSR_FAC001             159    
    DXCCSR_FAC002             160    
    DXCCSR_FAC003             161    
    DXCCSR_FAC004             162    
    DXCCSR_FAC005             163    
    DXCCSR_FAC006             164    
    DXCCSR_FAC007             165    
    DXCCSR_FAC008             166    
    DXCCSR_FAC009             167    
    DXCCSR_FAC010             168    
    DXCCSR_FAC011             169    
    DXCCSR_FAC012             170    
    DXCCSR_FAC013             171    
    DXCCSR_FAC014             172    
    DXCCSR_FAC015             173    
    DXCCSR_FAC016             174    
    DXCCSR_FAC017             175    
    DXCCSR_FAC018             176    
    DXCCSR_FAC019             177    
    DXCCSR_FAC020             178    
    DXCCSR_FAC021             179    
    DXCCSR_FAC022             180    
    DXCCSR_FAC023             181    
    DXCCSR_FAC024             182    
    DXCCSR_FAC025             183    
    DXCCSR_GEN001             184    
    DXCCSR_GEN002             185    
    DXCCSR_GEN003             186    
    DXCCSR_GEN004             187    
    DXCCSR_GEN005             188    
    DXCCSR_GEN006             189    
    DXCCSR_GEN007             190    
    DXCCSR_GEN008             191    
    DXCCSR_GEN009             192    
    DXCCSR_GEN010             193    
    DXCCSR_GEN011             194    
    DXCCSR_GEN012             195    
    DXCCSR_GEN013             196    
    DXCCSR_GEN014             197    
    DXCCSR_GEN015             198    
    DXCCSR_GEN016             199    
    DXCCSR_GEN017             200    
    DXCCSR_GEN018             201    
    DXCCSR_GEN019             202    
    DXCCSR_GEN020             203    
    DXCCSR_GEN021             204    
    DXCCSR_GEN022             205    
    DXCCSR_GEN023             206    
    DXCCSR_GEN024             207    
    DXCCSR_GEN025             208    
    DXCCSR_GEN026             209    
    DXCCSR_INF001             210    
    DXCCSR_INF002             211    
    DXCCSR_INF003             212    
    DXCCSR_INF004             213    
    DXCCSR_INF005             214    
    DXCCSR_INF006             215    
    DXCCSR_INF007             216    
    DXCCSR_INF008             217    
    DXCCSR_INF009             218    
    DXCCSR_INF010             219    
    DXCCSR_INF011             220    
    DXCCSR_INF012             221    
    DXCCSR_INJ001             222    
    DXCCSR_INJ002             223    
    DXCCSR_INJ003             224    
    DXCCSR_INJ004             225    
    DXCCSR_INJ005             226    
    DXCCSR_INJ006             227    
    DXCCSR_INJ007             228    
    DXCCSR_INJ008             229    
    DXCCSR_INJ009             230    
    DXCCSR_INJ010             231    
    DXCCSR_INJ011             232    
    DXCCSR_INJ012             233    
    DXCCSR_INJ013             234    
    DXCCSR_INJ014             235    
    DXCCSR_INJ015             236    
    DXCCSR_INJ016             237    
    DXCCSR_INJ017             238    
    DXCCSR_INJ018             239    
    DXCCSR_INJ019             240    
    DXCCSR_INJ020             241    
    DXCCSR_INJ021             242    
    DXCCSR_INJ022             243    
    DXCCSR_INJ023             244    
    DXCCSR_INJ024             245    
    DXCCSR_INJ025             246    
    DXCCSR_INJ026             247    
    DXCCSR_INJ027             248    
    DXCCSR_INJ028             249    
    DXCCSR_INJ029             250    
    DXCCSR_INJ030             251    
    DXCCSR_INJ031             252    
    DXCCSR_INJ032             253    
    DXCCSR_INJ033             254    
    DXCCSR_INJ034             255    
    DXCCSR_INJ035             256    
    DXCCSR_INJ036             257    
    DXCCSR_INJ037             258    
    DXCCSR_INJ038             259    
    DXCCSR_INJ039             260    
    DXCCSR_INJ040             261    
    DXCCSR_INJ041             262    
    DXCCSR_INJ042             263    
    DXCCSR_INJ043             264    
    DXCCSR_INJ044             265    
    DXCCSR_INJ045             266    
    DXCCSR_INJ046             267    
    DXCCSR_INJ047             268    
    DXCCSR_INJ048             269    
    DXCCSR_INJ049             270    
    DXCCSR_INJ050             271    
    DXCCSR_INJ051             272    
    DXCCSR_INJ052             273    
    DXCCSR_INJ053             274    
    DXCCSR_INJ054             275    
    DXCCSR_INJ055             276    
    DXCCSR_INJ056             277    
    DXCCSR_INJ057             278    
    DXCCSR_INJ058             279    
    DXCCSR_INJ059             280    
    DXCCSR_INJ060             281    
    DXCCSR_INJ061             282    
    DXCCSR_INJ062             283    
    DXCCSR_INJ063             284    
    DXCCSR_INJ064             285    
    DXCCSR_INJ065             286    
    DXCCSR_INJ066             287    
    DXCCSR_INJ067             288    
    DXCCSR_INJ068             289    
    DXCCSR_INJ069             290    
    DXCCSR_INJ070             291    
    DXCCSR_INJ071             292    
    DXCCSR_INJ072             293    
    DXCCSR_INJ073             294    
    DXCCSR_INJ074             295    
    DXCCSR_INJ075             296    
    DXCCSR_INJ076             297    
    DXCCSR_MAL001             298    
    DXCCSR_MAL002             299    
    DXCCSR_MAL003             300    
    DXCCSR_MAL004             301    
    DXCCSR_MAL005             302    
    DXCCSR_MAL006             303    
    DXCCSR_MAL007             304    
    DXCCSR_MAL008             305    
    DXCCSR_MAL009             306    
    DXCCSR_MAL010             307    
    DXCCSR_MBD001             308    
    DXCCSR_MBD002             309    
    DXCCSR_MBD003             310    
    DXCCSR_MBD004             311    
    DXCCSR_MBD005             312    
    DXCCSR_MBD006             313    
    DXCCSR_MBD007             314    
    DXCCSR_MBD008             315    
    DXCCSR_MBD009             316    
    DXCCSR_MBD010             317    
    DXCCSR_MBD011             318    
    DXCCSR_MBD012             319    
    DXCCSR_MBD013             320    
    DXCCSR_MBD014             321    
    DXCCSR_MBD017             322    
    DXCCSR_MBD018             323    
    DXCCSR_MBD019             324    
    DXCCSR_MBD020             325    
    DXCCSR_MBD021             326    
    DXCCSR_MBD022             327    
    DXCCSR_MBD023             328    
    DXCCSR_MBD024             329    
    DXCCSR_MBD025             330    
    DXCCSR_MBD026             331    
    DXCCSR_MBD027             332    
    DXCCSR_MBD028             333    
    DXCCSR_MBD029             334    
    DXCCSR_MBD030             335    
    DXCCSR_MBD031             336    
    DXCCSR_MBD032             337    
    DXCCSR_MBD033             338    
    DXCCSR_MBD034             339    
    DXCCSR_MUS001             340    
    DXCCSR_MUS002             341    
    DXCCSR_MUS003             342    
    DXCCSR_MUS004             343    
    DXCCSR_MUS005             344    
    DXCCSR_MUS006             345    
    DXCCSR_MUS007             346    
    DXCCSR_MUS008             347    
    DXCCSR_MUS009             348    
    DXCCSR_MUS010             349    
    DXCCSR_MUS011             350    
    DXCCSR_MUS012             351    
    DXCCSR_MUS013             352    
    DXCCSR_MUS014             353    
    DXCCSR_MUS015             354    
    DXCCSR_MUS016             355    
    DXCCSR_MUS017             356    
    DXCCSR_MUS018             357    
    DXCCSR_MUS019             358    
    DXCCSR_MUS020             359    
    DXCCSR_MUS021             360    
    DXCCSR_MUS022             361    
    DXCCSR_MUS023             362    
    DXCCSR_MUS024             363    
    DXCCSR_MUS025             364    
    DXCCSR_MUS026             365    
    DXCCSR_MUS027             366    
    DXCCSR_MUS028             367    
    DXCCSR_MUS029             368    
    DXCCSR_MUS030             369    
    DXCCSR_MUS031             370    
    DXCCSR_MUS032             371    
    DXCCSR_MUS033             372    
    DXCCSR_MUS034             373    
    DXCCSR_MUS035             374    
    DXCCSR_MUS036             375    
    DXCCSR_MUS037             376    
    DXCCSR_MUS038             377    
    DXCCSR_NEO001             378    
    DXCCSR_NEO002             379    
    DXCCSR_NEO003             380    
    DXCCSR_NEO004             381    
    DXCCSR_NEO005             382    
    DXCCSR_NEO006             383    
    DXCCSR_NEO007             384    
    DXCCSR_NEO008             385    
    DXCCSR_NEO009             386    
    DXCCSR_NEO010             387    
    DXCCSR_NEO011             388    
    DXCCSR_NEO012             389    
    DXCCSR_NEO013             390    
    DXCCSR_NEO014             391    
    DXCCSR_NEO015             392    
    DXCCSR_NEO016             393    
    DXCCSR_NEO017             394    
    DXCCSR_NEO018             395    
    DXCCSR_NEO019             396    
    DXCCSR_NEO020             397    
    DXCCSR_NEO021             398    
    DXCCSR_NEO022             399    
    DXCCSR_NEO023             400    
    DXCCSR_NEO024             401    
    DXCCSR_NEO025             402    
    DXCCSR_NEO026             403    
    DXCCSR_NEO027             404    
    DXCCSR_NEO028             405    
    DXCCSR_NEO029             406    
    DXCCSR_NEO030             407    
    DXCCSR_NEO031             408    
    DXCCSR_NEO032             409    
    DXCCSR_NEO033             410    
    DXCCSR_NEO034             411    
    DXCCSR_NEO035             412    
    DXCCSR_NEO036             413    
    DXCCSR_NEO037             414    
    DXCCSR_NEO038             415    
    DXCCSR_NEO039             416    
    DXCCSR_NEO040             417    
    DXCCSR_NEO041             418    
    DXCCSR_NEO042             419    
    DXCCSR_NEO043             420    
    DXCCSR_NEO044             421    
    DXCCSR_NEO045             422    
    DXCCSR_NEO046             423    
    DXCCSR_NEO047             424    
    DXCCSR_NEO048             425    
    DXCCSR_NEO049             426    
    DXCCSR_NEO050             427    
    DXCCSR_NEO051             428    
    DXCCSR_NEO052             429    
    DXCCSR_NEO053             430    
    DXCCSR_NEO054             431    
    DXCCSR_NEO055             432    
    DXCCSR_NEO056             433    
    DXCCSR_NEO057             434    
    DXCCSR_NEO058             435    
    DXCCSR_NEO059             436    
    DXCCSR_NEO060             437    
    DXCCSR_NEO061             438    
    DXCCSR_NEO062             439    
    DXCCSR_NEO063             440    
    DXCCSR_NEO064             441    
    DXCCSR_NEO065             442    
    DXCCSR_NEO066             443    
    DXCCSR_NEO067             444    
    DXCCSR_NEO068             445    
    DXCCSR_NEO069             446    
    DXCCSR_NEO070             447    
    DXCCSR_NEO071             448    
    DXCCSR_NEO072             449    
    DXCCSR_NEO073             450    
    DXCCSR_NEO074             451    
    DXCCSR_NVS001             452    
    DXCCSR_NVS002             453    
    DXCCSR_NVS003             454    
    DXCCSR_NVS004             455    
    DXCCSR_NVS005             456    
    DXCCSR_NVS006             457    
    DXCCSR_NVS007             458    
    DXCCSR_NVS008             459    
    DXCCSR_NVS009             460    
    DXCCSR_NVS010             461    
    DXCCSR_NVS011             462    
    DXCCSR_NVS012             463    
    DXCCSR_NVS013             464    
    DXCCSR_NVS014             465    
    DXCCSR_NVS015             466    
    DXCCSR_NVS016             467    
    DXCCSR_NVS017             468    
    DXCCSR_NVS018             469    
    DXCCSR_NVS019             470    
    DXCCSR_NVS020             471    
    DXCCSR_NVS021             472    
    DXCCSR_NVS022             473    
    DXCCSR_PNL001             474    
    DXCCSR_PNL002             475    
    DXCCSR_PNL003             476    
    DXCCSR_PNL004             477    
    DXCCSR_PNL005             478    
    DXCCSR_PNL006             479    
    DXCCSR_PNL007             480    
    DXCCSR_PNL008             481    
    DXCCSR_PNL009             482    
    DXCCSR_PNL010             483    
    DXCCSR_PNL011             484    
    DXCCSR_PNL012             485    
    DXCCSR_PNL013             486    
    DXCCSR_PNL014             487    
    DXCCSR_PNL015             488    
    DXCCSR_PRG001             489    
    DXCCSR_PRG002             490    
    DXCCSR_PRG003             491    
    DXCCSR_PRG004             492    
    DXCCSR_PRG005             493    
    DXCCSR_PRG006             494    
    DXCCSR_PRG007             495    
    DXCCSR_PRG008             496    
    DXCCSR_PRG009             497    
    DXCCSR_PRG010             498    
    DXCCSR_PRG011             499    
    DXCCSR_PRG012             500    
    DXCCSR_PRG013             501    
    DXCCSR_PRG014             502    
    DXCCSR_PRG015             503    
    DXCCSR_PRG016             504    
    DXCCSR_PRG017             505    
    DXCCSR_PRG018             506    
    DXCCSR_PRG019             507    
    DXCCSR_PRG020             508    
    DXCCSR_PRG021             509    
    DXCCSR_PRG022             510    
    DXCCSR_PRG023             511    
    DXCCSR_PRG024             512    
    DXCCSR_PRG025             513    
    DXCCSR_PRG026             514    
    DXCCSR_PRG027             515    
    DXCCSR_PRG028             516    
    DXCCSR_PRG029             517    
    DXCCSR_PRG030             518    
    DXCCSR_RSP001             519    
    DXCCSR_RSP002             520    
    DXCCSR_RSP003             521    
    DXCCSR_RSP004             522    
    DXCCSR_RSP005             523    
    DXCCSR_RSP006             524    
    DXCCSR_RSP007             525    
    DXCCSR_RSP008             526    
    DXCCSR_RSP009             527    
    DXCCSR_RSP010             528    
    DXCCSR_RSP011             529    
    DXCCSR_RSP012             530    
    DXCCSR_RSP013             531    
    DXCCSR_RSP014             532    
    DXCCSR_RSP015             533    
    DXCCSR_RSP016             534    
    DXCCSR_RSP017             535    
    DXCCSR_SKN001             536    
    DXCCSR_SKN002             537    
    DXCCSR_SKN003             538    
    DXCCSR_SKN004             539    
    DXCCSR_SKN005             540    
    DXCCSR_SKN006             541    
    DXCCSR_SKN007             542    
    DXCCSR_SYM001             543    
    DXCCSR_SYM002             544    
    DXCCSR_SYM003             545    
    DXCCSR_SYM004             546    
    DXCCSR_SYM005             547    
    DXCCSR_SYM006             548    
    DXCCSR_SYM007             549    
    DXCCSR_SYM008             550    
    DXCCSR_SYM009             551    
    DXCCSR_SYM010             552    
    DXCCSR_SYM011             553    
    DXCCSR_SYM012             554    
    DXCCSR_SYM013             555    
    DXCCSR_SYM014             556    
    DXCCSR_SYM015             557    
    DXCCSR_SYM016             558    
    DXCCSR_SYM017             559    
    DXCCSR_VERSION            560- 565 (A)
    PCLASS1                   566- 568
    PCLASS2                   569- 571
    PCLASS3                   572- 574
    PCLASS4                   575- 577
    PCLASS5                   578- 580
    PCLASS6                   581- 583
    PCLASS7                   584- 586
    PCLASS8                   587- 589
    PCLASS9                   590- 592
    PCLASS10                  593- 595
    PCLASS11                  596- 598
    PCLASS12                  599- 601
    PCLASS13                  602- 604
    PCLASS14                  605- 607
    PCLASS15                  608- 610
    PCLASS16                  611- 613
    PCLASS17                  614- 616
    PCLASS18                  617- 619
    PCLASS19                  620- 622
    PCLASS20                  623- 625
    PCLASS21                  626- 628
    PCLASS22                  629- 631
    PCLASS23                  632- 634
    PCLASS24                  635- 637
    PCLASS25                  638- 640
    PCLASS_VERSION            641- 646 (A)
    PRCCSR_ADM001             647    
    PRCCSR_ADM002             648    
    PRCCSR_ADM003             649    
    PRCCSR_ADM004             650    
    PRCCSR_ADM005             651    
    PRCCSR_ADM006             652    
    PRCCSR_ADM007             653    
    PRCCSR_ADM008             654    
    PRCCSR_ADM009             655    
    PRCCSR_ADM010             656    
    PRCCSR_ADM011             657    
    PRCCSR_ADM012             658    
    PRCCSR_ADM013             659    
    PRCCSR_ADM014             660    
    PRCCSR_ADM015             661    
    PRCCSR_ADM016             662    
    PRCCSR_ADM017             663    
    PRCCSR_ADM018             664    
    PRCCSR_ADM019             665    
    PRCCSR_ADM020             666    
    PRCCSR_ADM021             667    
    PRCCSR_CAR001             668    
    PRCCSR_CAR002             669    
    PRCCSR_CAR003             670    
    PRCCSR_CAR004             671    
    PRCCSR_CAR005             672    
    PRCCSR_CAR006             673    
    PRCCSR_CAR007             674    
    PRCCSR_CAR008             675    
    PRCCSR_CAR009             676    
    PRCCSR_CAR010             677    
    PRCCSR_CAR011             678    
    PRCCSR_CAR012             679    
    PRCCSR_CAR013             680    
    PRCCSR_CAR014             681    
    PRCCSR_CAR015             682    
    PRCCSR_CAR016             683    
    PRCCSR_CAR017             684    
    PRCCSR_CAR018             685    
    PRCCSR_CAR019             686    
    PRCCSR_CAR020             687    
    PRCCSR_CAR021             688    
    PRCCSR_CAR022             689    
    PRCCSR_CAR023             690    
    PRCCSR_CAR024             691    
    PRCCSR_CAR025             692    
    PRCCSR_CAR026             693    
    PRCCSR_CAR027             694    
    PRCCSR_CAR028             695    
    PRCCSR_CAR029             696    
    PRCCSR_CHP001             697    
    PRCCSR_CNS001             698    
    PRCCSR_CNS002             699    
    PRCCSR_CNS003             700    
    PRCCSR_CNS004             701    
    PRCCSR_CNS005             702    
    PRCCSR_CNS006             703    
    PRCCSR_CNS007             704    
    PRCCSR_CNS008             705    
    PRCCSR_CNS009             706    
    PRCCSR_CNS010             707    
    PRCCSR_CNS011             708    
    PRCCSR_CNS012             709    
    PRCCSR_CNS013             710    
    PRCCSR_CNS014             711    
    PRCCSR_ENP001             712    
    PRCCSR_ENP002             713    
    PRCCSR_ENP003             714    
    PRCCSR_ENP004             715    
    PRCCSR_ENP005             716    
    PRCCSR_ENP006             717    
    PRCCSR_ENT001             718    
    PRCCSR_ENT002             719    
    PRCCSR_ENT003             720    
    PRCCSR_ENT004             721    
    PRCCSR_ENT005             722    
    PRCCSR_ENT006             723    
    PRCCSR_ENT007             724    
    PRCCSR_ENT008             725    
    PRCCSR_ENT009             726    
    PRCCSR_ENT010             727    
    PRCCSR_ENT011             728    
    PRCCSR_ENT012             729    
    PRCCSR_ENT013             730    
    PRCCSR_ENT014             731    
    PRCCSR_ENT015             732    
    PRCCSR_ENT016             733    
    PRCCSR_ENT017             734    
    PRCCSR_ESA001             735    
    PRCCSR_ESA002             736    
    PRCCSR_ESA003             737    
    PRCCSR_ESA004             738    
    PRCCSR_ESA005             739    
    PRCCSR_ESA006             740    
    PRCCSR_ESA007             741    
    PRCCSR_ESA008             742    
    PRCCSR_ESA009             743    
    PRCCSR_ESA010             744    
    PRCCSR_ESA011             745    
    PRCCSR_EST001             746    
    PRCCSR_EST002             747    
    PRCCSR_EST003             748    
    PRCCSR_EST004             749    
    PRCCSR_EST005             750    
    PRCCSR_EYP001             751    
    PRCCSR_EYP002             752    
    PRCCSR_FRS001             753    
    PRCCSR_FRS002             754    
    PRCCSR_FRS003             755    
    PRCCSR_FRS004             756    
    PRCCSR_FRS005             757    
    PRCCSR_FRS006             758    
    PRCCSR_FRS007             759    
    PRCCSR_FRS008             760    
    PRCCSR_FRS009             761    
    PRCCSR_FRS010             762    
    PRCCSR_FRS011             763    
    PRCCSR_FRS012             764    
    PRCCSR_FRS013             765    
    PRCCSR_FRS014             766    
    PRCCSR_FRS015             767    
    PRCCSR_GIS001             768    
    PRCCSR_GIS002             769    
    PRCCSR_GIS003             770    
    PRCCSR_GIS004             771    
    PRCCSR_GIS005             772    
    PRCCSR_GIS006             773    
    PRCCSR_GIS007             774    
    PRCCSR_GIS008             775    
    PRCCSR_GIS009             776    
    PRCCSR_GIS010             777    
    PRCCSR_GIS011             778    
    PRCCSR_GIS012             779    
    PRCCSR_GIS013             780    
    PRCCSR_GIS014             781    
    PRCCSR_GIS015             782    
    PRCCSR_GIS016             783    
    PRCCSR_GIS017             784    
    PRCCSR_GIS018             785    
    PRCCSR_GIS019             786    
    PRCCSR_GIS020             787    
    PRCCSR_GIS021             788    
    PRCCSR_GIS022             789    
    PRCCSR_GIS023             790    
    PRCCSR_GIS024             791    
    PRCCSR_GIS025             792    
    PRCCSR_GIS026             793    
    PRCCSR_GIS027             794    
    PRCCSR_GIS028             795    
    PRCCSR_GIS029             796    
    PRCCSR_GNR001             797    
    PRCCSR_GNR002             798    
    PRCCSR_GNR003             799    
    PRCCSR_GNR004             800    
    PRCCSR_GNR005             801    
    PRCCSR_GNR006             802    
    PRCCSR_GNR007             803    
    PRCCSR_GNR008             804    
    PRCCSR_GNR009             805    
    PRCCSR_GNR010             806    
    PRCCSR_HEP001             807    
    PRCCSR_HEP002             808    
    PRCCSR_HEP003             809    
    PRCCSR_HEP004             810    
    PRCCSR_HEP005             811    
    PRCCSR_HEP006             812    
    PRCCSR_HEP007             813    
    PRCCSR_HEP008             814    
    PRCCSR_HEP009             815    
    PRCCSR_HEP010             816    
    PRCCSR_HEP011             817    
    PRCCSR_HEP012             818    
    PRCCSR_HEP013             819    
    PRCCSR_IMG001             820    
    PRCCSR_IMG002             821    
    PRCCSR_IMG003             822    
    PRCCSR_IMG004             823    
    PRCCSR_IMG005             824    
    PRCCSR_IMG006             825    
    PRCCSR_IMG007             826    
    PRCCSR_IMG008             827    
    PRCCSR_IMG009             828    
    PRCCSR_IMG010             829    
    PRCCSR_LYM001             830    
    PRCCSR_LYM002             831    
    PRCCSR_LYM003             832    
    PRCCSR_LYM004             833    
    PRCCSR_LYM005             834    
    PRCCSR_LYM006             835    
    PRCCSR_LYM007             836    
    PRCCSR_LYM008             837    
    PRCCSR_LYM009             838    
    PRCCSR_LYM010             839    
    PRCCSR_LYM011             840    
    PRCCSR_MAM001             841    
    PRCCSR_MAM002             842    
    PRCCSR_MAM003             843    
    PRCCSR_MAM004             844    
    PRCCSR_MAM005             845    
    PRCCSR_MAM006             846    
    PRCCSR_MAM007             847    
    PRCCSR_MAM008             848    
    PRCCSR_MAM009             849    
    PRCCSR_MAM010             850    
    PRCCSR_MAM011             851    
    PRCCSR_MAM012             852    
    PRCCSR_MAM013             853    
    PRCCSR_MAM014             854    
    PRCCSR_MAM015             855    
    PRCCSR_MHT001             856    
    PRCCSR_MHT002             857    
    PRCCSR_MHT003             858    
    PRCCSR_MHT004             859    
    PRCCSR_MHT005             860    
    PRCCSR_MRS001             861    
    PRCCSR_MRS002             862    
    PRCCSR_MRS003             863    
    PRCCSR_MRS004             864    
    PRCCSR_MRS005             865    
    PRCCSR_MRS006             866    
    PRCCSR_MRS007             867    
    PRCCSR_MST001             868    
    PRCCSR_MST002             869    
    PRCCSR_MST003             870    
    PRCCSR_MST004             871    
    PRCCSR_MST005             872    
    PRCCSR_MST006             873    
    PRCCSR_MST007             874    
    PRCCSR_MST008             875    
    PRCCSR_MST009             876    
    PRCCSR_MST010             877    
    PRCCSR_MST011             878    
    PRCCSR_MST012             879    
    PRCCSR_MST013             880    
    PRCCSR_MST014             881    
    PRCCSR_MST015             882    
    PRCCSR_MST016             883    
    PRCCSR_MST017             884    
    PRCCSR_MST018             885    
    PRCCSR_MST019             886    
    PRCCSR_MST020             887    
    PRCCSR_MST021             888    
    PRCCSR_MST022             889    
    PRCCSR_MST023             890    
    PRCCSR_MST024             891    
    PRCCSR_MST025             892    
    PRCCSR_MST026             893    
    PRCCSR_MST027             894    
    PRCCSR_MST028             895    
    PRCCSR_MST029             896    
    PRCCSR_MST030             897    
    PRCCSR_NCM001             898    
    PRCCSR_NCM002             899    
    PRCCSR_NCM003             900    
    PRCCSR_NCM004             901    
    PRCCSR_OST001             902    
    PRCCSR_OTR001             903    
    PRCCSR_OTR002             904    
    PRCCSR_OTR003             905    
    PRCCSR_OTR004             906    
    PRCCSR_OTR005             907    
    PRCCSR_PGN001             908    
    PRCCSR_PGN002             909    
    PRCCSR_PGN003             910    
    PRCCSR_PGN004             911    
    PRCCSR_PGN005             912    
    PRCCSR_PGN006             913    
    PRCCSR_PGN007             914    
    PRCCSR_PGN008             915    
    PRCCSR_PGN009             916    
    PRCCSR_PLC001             917    
    PRCCSR_PLC002             918    
    PRCCSR_PNS001             919    
    PRCCSR_PNS002             920    
    PRCCSR_PNS003             921    
    PRCCSR_PNS004             922    
    PRCCSR_PNS005             923    
    PRCCSR_PNS006             924    
    PRCCSR_RAD001             925    
    PRCCSR_RAD002             926    
    PRCCSR_RAD003             927    
    PRCCSR_RAD004             928    
    PRCCSR_RES001             929    
    PRCCSR_RES002             930    
    PRCCSR_RES003             931    
    PRCCSR_RES004             932    
    PRCCSR_RES005             933    
    PRCCSR_RES006             934    
    PRCCSR_RES007             935    
    PRCCSR_RES008             936    
    PRCCSR_RES009             937    
    PRCCSR_RES010             938    
    PRCCSR_RES011             939    
    PRCCSR_RES012             940    
    PRCCSR_RES013             941    
    PRCCSR_RES014             942    
    PRCCSR_RHB001             943    
    PRCCSR_RHB002             944    
    PRCCSR_RHB003             945    
    PRCCSR_RHB004             946    
    PRCCSR_SKB001             947    
    PRCCSR_SKB002             948    
    PRCCSR_SKB003             949    
    PRCCSR_SKB004             950    
    PRCCSR_SKB005             951    
    PRCCSR_SKB006             952    
    PRCCSR_SKB007             953    
    PRCCSR_SKB008             954    
    PRCCSR_SKB009             955    
    PRCCSR_SKB010             956    
    PRCCSR_SUD001             957    
    PRCCSR_SUD002             958    
    PRCCSR_SUD003             959    
    PRCCSR_SUD004             960    
    PRCCSR_URN001             961    
    PRCCSR_URN002             962    
    PRCCSR_URN003             963    
    PRCCSR_URN004             964    
    PRCCSR_URN005             965    
    PRCCSR_URN006             966    
    PRCCSR_URN007             967    
    PRCCSR_URN008             968    
    PRCCSR_URN009             969    
    PRCCSR_URN010             970    
    PRCCSR_URN011             971    
    PRCCSR_URN012             972    
    PRCCSR_VERSION            973- 978 (A).

***  Specify write formats  ***.
FORMATS
    HOSP_KID                 (F5.0) /
    RECNUM                   (F8.0) /
    DXCCSR_BLD001            (F1.0) /
    DXCCSR_BLD002            (F1.0) /
    DXCCSR_BLD003            (F1.0) /
    DXCCSR_BLD004            (F1.0) /
    DXCCSR_BLD005            (F1.0) /
    DXCCSR_BLD006            (F1.0) /
    DXCCSR_BLD007            (F1.0) /
    DXCCSR_BLD008            (F1.0) /
    DXCCSR_BLD009            (F1.0) /
    DXCCSR_BLD010            (F1.0) /
    DXCCSR_CIR001            (F1.0) /
    DXCCSR_CIR002            (F1.0) /
    DXCCSR_CIR003            (F1.0) /
    DXCCSR_CIR004            (F1.0) /
    DXCCSR_CIR005            (F1.0) /
    DXCCSR_CIR006            (F1.0) /
    DXCCSR_CIR007            (F1.0) /
    DXCCSR_CIR008            (F1.0) /
    DXCCSR_CIR009            (F1.0) /
    DXCCSR_CIR010            (F1.0) /
    DXCCSR_CIR011            (F1.0) /
    DXCCSR_CIR012            (F1.0) /
    DXCCSR_CIR013            (F1.0) /
    DXCCSR_CIR014            (F1.0) /
    DXCCSR_CIR015            (F1.0) /
    DXCCSR_CIR016            (F1.0) /
    DXCCSR_CIR017            (F1.0) /
    DXCCSR_CIR018            (F1.0) /
    DXCCSR_CIR019            (F1.0) /
    DXCCSR_CIR020            (F1.0) /
    DXCCSR_CIR021            (F1.0) /
    DXCCSR_CIR022            (F1.0) /
    DXCCSR_CIR023            (F1.0) /
    DXCCSR_CIR024            (F1.0) /
    DXCCSR_CIR025            (F1.0) /
    DXCCSR_CIR026            (F1.0) /
    DXCCSR_CIR027            (F1.0) /
    DXCCSR_CIR028            (F1.0) /
    DXCCSR_CIR029            (F1.0) /
    DXCCSR_CIR030            (F1.0) /
    DXCCSR_CIR031            (F1.0) /
    DXCCSR_CIR032            (F1.0) /
    DXCCSR_CIR033            (F1.0) /
    DXCCSR_CIR034            (F1.0) /
    DXCCSR_CIR035            (F1.0) /
    DXCCSR_CIR036            (F1.0) /
    DXCCSR_CIR037            (F1.0) /
    DXCCSR_CIR038            (F1.0) /
    DXCCSR_CIR039            (F1.0) /
    DXCCSR_DIG001            (F1.0) /
    DXCCSR_DIG002            (F1.0) /
    DXCCSR_DIG003            (F1.0) /
    DXCCSR_DIG004            (F1.0) /
    DXCCSR_DIG005            (F1.0) /
    DXCCSR_DIG006            (F1.0) /
    DXCCSR_DIG007            (F1.0) /
    DXCCSR_DIG008            (F1.0) /
    DXCCSR_DIG009            (F1.0) /
    DXCCSR_DIG010            (F1.0) /
    DXCCSR_DIG011            (F1.0) /
    DXCCSR_DIG012            (F1.0) /
    DXCCSR_DIG013            (F1.0) /
    DXCCSR_DIG014            (F1.0) /
    DXCCSR_DIG015            (F1.0) /
    DXCCSR_DIG016            (F1.0) /
    DXCCSR_DIG017            (F1.0) /
    DXCCSR_DIG018            (F1.0) /
    DXCCSR_DIG019            (F1.0) /
    DXCCSR_DIG020            (F1.0) /
    DXCCSR_DIG021            (F1.0) /
    DXCCSR_DIG022            (F1.0) /
    DXCCSR_DIG023            (F1.0) /
    DXCCSR_DIG024            (F1.0) /
    DXCCSR_DIG025            (F1.0) /
    DXCCSR_EAR001            (F1.0) /
    DXCCSR_EAR002            (F1.0) /
    DXCCSR_EAR003            (F1.0) /
    DXCCSR_EAR004            (F1.0) /
    DXCCSR_EAR005            (F1.0) /
    DXCCSR_EAR006            (F1.0) /
    DXCCSR_END001            (F1.0) /
    DXCCSR_END002            (F1.0) /
    DXCCSR_END003            (F1.0) /
    DXCCSR_END004            (F1.0) /
    DXCCSR_END005            (F1.0) /
    DXCCSR_END006            (F1.0) /
    DXCCSR_END007            (F1.0) /
    DXCCSR_END008            (F1.0) /
    DXCCSR_END009            (F1.0) /
    DXCCSR_END010            (F1.0) /
    DXCCSR_END011            (F1.0) /
    DXCCSR_END012            (F1.0) /
    DXCCSR_END013            (F1.0) /
    DXCCSR_END014            (F1.0) /
    DXCCSR_END015            (F1.0) /
    DXCCSR_END016            (F1.0) /
    DXCCSR_END017            (F1.0) /
    DXCCSR_EXT001            (F1.0) /
    DXCCSR_EXT002            (F1.0) /
    DXCCSR_EXT003            (F1.0) /
    DXCCSR_EXT004            (F1.0) /
    DXCCSR_EXT005            (F1.0) /
    DXCCSR_EXT006            (F1.0) /
    DXCCSR_EXT007            (F1.0) /
    DXCCSR_EXT008            (F1.0) /
    DXCCSR_EXT009            (F1.0) /
    DXCCSR_EXT010            (F1.0) /
    DXCCSR_EXT011            (F1.0) /
    DXCCSR_EXT012            (F1.0) /
    DXCCSR_EXT013            (F1.0) /
    DXCCSR_EXT014            (F1.0) /
    DXCCSR_EXT015            (F1.0) /
    DXCCSR_EXT016            (F1.0) /
    DXCCSR_EXT017            (F1.0) /
    DXCCSR_EXT018            (F1.0) /
    DXCCSR_EXT019            (F1.0) /
    DXCCSR_EXT020            (F1.0) /
    DXCCSR_EXT021            (F1.0) /
    DXCCSR_EXT022            (F1.0) /
    DXCCSR_EXT023            (F1.0) /
    DXCCSR_EXT024            (F1.0) /
    DXCCSR_EXT025            (F1.0) /
    DXCCSR_EXT026            (F1.0) /
    DXCCSR_EXT027            (F1.0) /
    DXCCSR_EXT028            (F1.0) /
    DXCCSR_EXT029            (F1.0) /
    DXCCSR_EXT030            (F1.0) /
    DXCCSR_EYE001            (F1.0) /
    DXCCSR_EYE002            (F1.0) /
    DXCCSR_EYE003            (F1.0) /
    DXCCSR_EYE004            (F1.0) /
    DXCCSR_EYE005            (F1.0) /
    DXCCSR_EYE006            (F1.0) /
    DXCCSR_EYE007            (F1.0) /
    DXCCSR_EYE008            (F1.0) /
    DXCCSR_EYE009            (F1.0) /
    DXCCSR_EYE010            (F1.0) /
    DXCCSR_EYE011            (F1.0) /
    DXCCSR_EYE012            (F1.0) /
    DXCCSR_FAC001            (F1.0) /
    DXCCSR_FAC002            (F1.0) /
    DXCCSR_FAC003            (F1.0) /
    DXCCSR_FAC004            (F1.0) /
    DXCCSR_FAC005            (F1.0) /
    DXCCSR_FAC006            (F1.0) /
    DXCCSR_FAC007            (F1.0) /
    DXCCSR_FAC008            (F1.0) /
    DXCCSR_FAC009            (F1.0) /
    DXCCSR_FAC010            (F1.0) /
    DXCCSR_FAC011            (F1.0) /
    DXCCSR_FAC012            (F1.0) /
    DXCCSR_FAC013            (F1.0) /
    DXCCSR_FAC014            (F1.0) /
    DXCCSR_FAC015            (F1.0) /
    DXCCSR_FAC016            (F1.0) /
    DXCCSR_FAC017            (F1.0) /
    DXCCSR_FAC018            (F1.0) /
    DXCCSR_FAC019            (F1.0) /
    DXCCSR_FAC020            (F1.0) /
    DXCCSR_FAC021            (F1.0) /
    DXCCSR_FAC022            (F1.0) /
    DXCCSR_FAC023            (F1.0) /
    DXCCSR_FAC024            (F1.0) /
    DXCCSR_FAC025            (F1.0) /
    DXCCSR_GEN001            (F1.0) /
    DXCCSR_GEN002            (F1.0) /
    DXCCSR_GEN003            (F1.0) /
    DXCCSR_GEN004            (F1.0) /
    DXCCSR_GEN005            (F1.0) /
    DXCCSR_GEN006            (F1.0) /
    DXCCSR_GEN007            (F1.0) /
    DXCCSR_GEN008            (F1.0) /
    DXCCSR_GEN009            (F1.0) /
    DXCCSR_GEN010            (F1.0) /
    DXCCSR_GEN011            (F1.0) /
    DXCCSR_GEN012            (F1.0) /
    DXCCSR_GEN013            (F1.0) /
    DXCCSR_GEN014            (F1.0) /
    DXCCSR_GEN015            (F1.0) /
    DXCCSR_GEN016            (F1.0) /
    DXCCSR_GEN017            (F1.0) /
    DXCCSR_GEN018            (F1.0) /
    DXCCSR_GEN019            (F1.0) /
    DXCCSR_GEN020            (F1.0) /
    DXCCSR_GEN021            (F1.0) /
    DXCCSR_GEN022            (F1.0) /
    DXCCSR_GEN023            (F1.0) /
    DXCCSR_GEN024            (F1.0) /
    DXCCSR_GEN025            (F1.0) /
    DXCCSR_GEN026            (F1.0) /
    DXCCSR_INF001            (F1.0) /
    DXCCSR_INF002            (F1.0) /
    DXCCSR_INF003            (F1.0) /
    DXCCSR_INF004            (F1.0) /
    DXCCSR_INF005            (F1.0) /
    DXCCSR_INF006            (F1.0) /
    DXCCSR_INF007            (F1.0) /
    DXCCSR_INF008            (F1.0) /
    DXCCSR_INF009            (F1.0) /
    DXCCSR_INF010            (F1.0) /
    DXCCSR_INF011            (F1.0) /
    DXCCSR_INF012            (F1.0) /
    DXCCSR_INJ001            (F1.0) /
    DXCCSR_INJ002            (F1.0) /
    DXCCSR_INJ003            (F1.0) /
    DXCCSR_INJ004            (F1.0) /
    DXCCSR_INJ005            (F1.0) /
    DXCCSR_INJ006            (F1.0) /
    DXCCSR_INJ007            (F1.0) /
    DXCCSR_INJ008            (F1.0) /
    DXCCSR_INJ009            (F1.0) /
    DXCCSR_INJ010            (F1.0) /
    DXCCSR_INJ011            (F1.0) /
    DXCCSR_INJ012            (F1.0) /
    DXCCSR_INJ013            (F1.0) /
    DXCCSR_INJ014            (F1.0) /
    DXCCSR_INJ015            (F1.0) /
    DXCCSR_INJ016            (F1.0) /
    DXCCSR_INJ017            (F1.0) /
    DXCCSR_INJ018            (F1.0) /
    DXCCSR_INJ019            (F1.0) /
    DXCCSR_INJ020            (F1.0) /
    DXCCSR_INJ021            (F1.0) /
    DXCCSR_INJ022            (F1.0) /
    DXCCSR_INJ023            (F1.0) /
    DXCCSR_INJ024            (F1.0) /
    DXCCSR_INJ025            (F1.0) /
    DXCCSR_INJ026            (F1.0) /
    DXCCSR_INJ027            (F1.0) /
    DXCCSR_INJ028            (F1.0) /
    DXCCSR_INJ029            (F1.0) /
    DXCCSR_INJ030            (F1.0) /
    DXCCSR_INJ031            (F1.0) /
    DXCCSR_INJ032            (F1.0) /
    DXCCSR_INJ033            (F1.0) /
    DXCCSR_INJ034            (F1.0) /
    DXCCSR_INJ035            (F1.0) /
    DXCCSR_INJ036            (F1.0) /
    DXCCSR_INJ037            (F1.0) /
    DXCCSR_INJ038            (F1.0) /
    DXCCSR_INJ039            (F1.0) /
    DXCCSR_INJ040            (F1.0) /
    DXCCSR_INJ041            (F1.0) /
    DXCCSR_INJ042            (F1.0) /
    DXCCSR_INJ043            (F1.0) /
    DXCCSR_INJ044            (F1.0) /
    DXCCSR_INJ045            (F1.0) /
    DXCCSR_INJ046            (F1.0) /
    DXCCSR_INJ047            (F1.0) /
    DXCCSR_INJ048            (F1.0) /
    DXCCSR_INJ049            (F1.0) /
    DXCCSR_INJ050            (F1.0) /
    DXCCSR_INJ051            (F1.0) /
    DXCCSR_INJ052            (F1.0) /
    DXCCSR_INJ053            (F1.0) /
    DXCCSR_INJ054            (F1.0) /
    DXCCSR_INJ055            (F1.0) /
    DXCCSR_INJ056            (F1.0) /
    DXCCSR_INJ057            (F1.0) /
    DXCCSR_INJ058            (F1.0) /
    DXCCSR_INJ059            (F1.0) /
    DXCCSR_INJ060            (F1.0) /
    DXCCSR_INJ061            (F1.0) /
    DXCCSR_INJ062            (F1.0) /
    DXCCSR_INJ063            (F1.0) /
    DXCCSR_INJ064            (F1.0) /
    DXCCSR_INJ065            (F1.0) /
    DXCCSR_INJ066            (F1.0) /
    DXCCSR_INJ067            (F1.0) /
    DXCCSR_INJ068            (F1.0) /
    DXCCSR_INJ069            (F1.0) /
    DXCCSR_INJ070            (F1.0) /
    DXCCSR_INJ071            (F1.0) /
    DXCCSR_INJ072            (F1.0) /
    DXCCSR_INJ073            (F1.0) /
    DXCCSR_INJ074            (F1.0) /
    DXCCSR_INJ075            (F1.0) /
    DXCCSR_INJ076            (F1.0) /
    DXCCSR_MAL001            (F1.0) /
    DXCCSR_MAL002            (F1.0) /
    DXCCSR_MAL003            (F1.0) /
    DXCCSR_MAL004            (F1.0) /
    DXCCSR_MAL005            (F1.0) /
    DXCCSR_MAL006            (F1.0) /
    DXCCSR_MAL007            (F1.0) /
    DXCCSR_MAL008            (F1.0) /
    DXCCSR_MAL009            (F1.0) /
    DXCCSR_MAL010            (F1.0) /
    DXCCSR_MBD001            (F1.0) /
    DXCCSR_MBD002            (F1.0) /
    DXCCSR_MBD003            (F1.0) /
    DXCCSR_MBD004            (F1.0) /
    DXCCSR_MBD005            (F1.0) /
    DXCCSR_MBD006            (F1.0) /
    DXCCSR_MBD007            (F1.0) /
    DXCCSR_MBD008            (F1.0) /
    DXCCSR_MBD009            (F1.0) /
    DXCCSR_MBD010            (F1.0) /
    DXCCSR_MBD011            (F1.0) /
    DXCCSR_MBD012            (F1.0) /
    DXCCSR_MBD013            (F1.0) /
    DXCCSR_MBD014            (F1.0) /
    DXCCSR_MBD017            (F1.0) /
    DXCCSR_MBD018            (F1.0) /
    DXCCSR_MBD019            (F1.0) /
    DXCCSR_MBD020            (F1.0) /
    DXCCSR_MBD021            (F1.0) /
    DXCCSR_MBD022            (F1.0) /
    DXCCSR_MBD023            (F1.0) /
    DXCCSR_MBD024            (F1.0) /
    DXCCSR_MBD025            (F1.0) /
    DXCCSR_MBD026            (F1.0) /
    DXCCSR_MBD027            (F1.0) /
    DXCCSR_MBD028            (F1.0) /
    DXCCSR_MBD029            (F1.0) /
    DXCCSR_MBD030            (F1.0) /
    DXCCSR_MBD031            (F1.0) /
    DXCCSR_MBD032            (F1.0) /
    DXCCSR_MBD033            (F1.0) /
    DXCCSR_MBD034            (F1.0) /
    DXCCSR_MUS001            (F1.0) /
    DXCCSR_MUS002            (F1.0) /
    DXCCSR_MUS003            (F1.0) /
    DXCCSR_MUS004            (F1.0) /
    DXCCSR_MUS005            (F1.0) /
    DXCCSR_MUS006            (F1.0) /
    DXCCSR_MUS007            (F1.0) /
    DXCCSR_MUS008            (F1.0) /
    DXCCSR_MUS009            (F1.0) /
    DXCCSR_MUS010            (F1.0) /
    DXCCSR_MUS011            (F1.0) /
    DXCCSR_MUS012            (F1.0) /
    DXCCSR_MUS013            (F1.0) /
    DXCCSR_MUS014            (F1.0) /
    DXCCSR_MUS015            (F1.0) /
    DXCCSR_MUS016            (F1.0) /
    DXCCSR_MUS017            (F1.0) /
    DXCCSR_MUS018            (F1.0) /
    DXCCSR_MUS019            (F1.0) /
    DXCCSR_MUS020            (F1.0) /
    DXCCSR_MUS021            (F1.0) /
    DXCCSR_MUS022            (F1.0) /
    DXCCSR_MUS023            (F1.0) /
    DXCCSR_MUS024            (F1.0) /
    DXCCSR_MUS025            (F1.0) /
    DXCCSR_MUS026            (F1.0) /
    DXCCSR_MUS027            (F1.0) /
    DXCCSR_MUS028            (F1.0) /
    DXCCSR_MUS029            (F1.0) /
    DXCCSR_MUS030            (F1.0) /
    DXCCSR_MUS031            (F1.0) /
    DXCCSR_MUS032            (F1.0) /
    DXCCSR_MUS033            (F1.0) /
    DXCCSR_MUS034            (F1.0) /
    DXCCSR_MUS035            (F1.0) /
    DXCCSR_MUS036            (F1.0) /
    DXCCSR_MUS037            (F1.0) /
    DXCCSR_MUS038            (F1.0) /
    DXCCSR_NEO001            (F1.0) /
    DXCCSR_NEO002            (F1.0) /
    DXCCSR_NEO003            (F1.0) /
    DXCCSR_NEO004            (F1.0) /
    DXCCSR_NEO005            (F1.0) /
    DXCCSR_NEO006            (F1.0) /
    DXCCSR_NEO007            (F1.0) /
    DXCCSR_NEO008            (F1.0) /
    DXCCSR_NEO009            (F1.0) /
    DXCCSR_NEO010            (F1.0) /
    DXCCSR_NEO011            (F1.0) /
    DXCCSR_NEO012            (F1.0) /
    DXCCSR_NEO013            (F1.0) /
    DXCCSR_NEO014            (F1.0) /
    DXCCSR_NEO015            (F1.0) /
    DXCCSR_NEO016            (F1.0) /
    DXCCSR_NEO017            (F1.0) /
    DXCCSR_NEO018            (F1.0) /
    DXCCSR_NEO019            (F1.0) /
    DXCCSR_NEO020            (F1.0) /
    DXCCSR_NEO021            (F1.0) /
    DXCCSR_NEO022            (F1.0) /
    DXCCSR_NEO023            (F1.0) /
    DXCCSR_NEO024            (F1.0) /
    DXCCSR_NEO025            (F1.0) /
    DXCCSR_NEO026            (F1.0) /
    DXCCSR_NEO027            (F1.0) /
    DXCCSR_NEO028            (F1.0) /
    DXCCSR_NEO029            (F1.0) /
    DXCCSR_NEO030            (F1.0) /
    DXCCSR_NEO031            (F1.0) /
    DXCCSR_NEO032            (F1.0) /
    DXCCSR_NEO033            (F1.0) /
    DXCCSR_NEO034            (F1.0) /
    DXCCSR_NEO035            (F1.0) /
    DXCCSR_NEO036            (F1.0) /
    DXCCSR_NEO037            (F1.0) /
    DXCCSR_NEO038            (F1.0) /
    DXCCSR_NEO039            (F1.0) /
    DXCCSR_NEO040            (F1.0) /
    DXCCSR_NEO041            (F1.0) /
    DXCCSR_NEO042            (F1.0) /
    DXCCSR_NEO043            (F1.0) /
    DXCCSR_NEO044            (F1.0) /
    DXCCSR_NEO045            (F1.0) /
    DXCCSR_NEO046            (F1.0) /
    DXCCSR_NEO047            (F1.0) /
    DXCCSR_NEO048            (F1.0) /
    DXCCSR_NEO049            (F1.0) /
    DXCCSR_NEO050            (F1.0) /
    DXCCSR_NEO051            (F1.0) /
    DXCCSR_NEO052            (F1.0) /
    DXCCSR_NEO053            (F1.0) /
    DXCCSR_NEO054            (F1.0) /
    DXCCSR_NEO055            (F1.0) /
    DXCCSR_NEO056            (F1.0) /
    DXCCSR_NEO057            (F1.0) /
    DXCCSR_NEO058            (F1.0) /
    DXCCSR_NEO059            (F1.0) /
    DXCCSR_NEO060            (F1.0) /
    DXCCSR_NEO061            (F1.0) /
    DXCCSR_NEO062            (F1.0) /
    DXCCSR_NEO063            (F1.0) /
    DXCCSR_NEO064            (F1.0) /
    DXCCSR_NEO065            (F1.0) /
    DXCCSR_NEO066            (F1.0) /
    DXCCSR_NEO067            (F1.0) /
    DXCCSR_NEO068            (F1.0) /
    DXCCSR_NEO069            (F1.0) /
    DXCCSR_NEO070            (F1.0) /
    DXCCSR_NEO071            (F1.0) /
    DXCCSR_NEO072            (F1.0) /
    DXCCSR_NEO073            (F1.0) /
    DXCCSR_NEO074            (F1.0) /
    DXCCSR_NVS001            (F1.0) /
    DXCCSR_NVS002            (F1.0) /
    DXCCSR_NVS003            (F1.0) /
    DXCCSR_NVS004            (F1.0) /
    DXCCSR_NVS005            (F1.0) /
    DXCCSR_NVS006            (F1.0) /
    DXCCSR_NVS007            (F1.0) /
    DXCCSR_NVS008            (F1.0) /
    DXCCSR_NVS009            (F1.0) /
    DXCCSR_NVS010            (F1.0) /
    DXCCSR_NVS011            (F1.0) /
    DXCCSR_NVS012            (F1.0) /
    DXCCSR_NVS013            (F1.0) /
    DXCCSR_NVS014            (F1.0) /
    DXCCSR_NVS015            (F1.0) /
    DXCCSR_NVS016            (F1.0) /
    DXCCSR_NVS017            (F1.0) /
    DXCCSR_NVS018            (F1.0) /
    DXCCSR_NVS019            (F1.0) /
    DXCCSR_NVS020            (F1.0) /
    DXCCSR_NVS021            (F1.0) /
    DXCCSR_NVS022            (F1.0) /
    DXCCSR_PNL001            (F1.0) /
    DXCCSR_PNL002            (F1.0) /
    DXCCSR_PNL003            (F1.0) /
    DXCCSR_PNL004            (F1.0) /
    DXCCSR_PNL005            (F1.0) /
    DXCCSR_PNL006            (F1.0) /
    DXCCSR_PNL007            (F1.0) /
    DXCCSR_PNL008            (F1.0) /
    DXCCSR_PNL009            (F1.0) /
    DXCCSR_PNL010            (F1.0) /
    DXCCSR_PNL011            (F1.0) /
    DXCCSR_PNL012            (F1.0) /
    DXCCSR_PNL013            (F1.0) /
    DXCCSR_PNL014            (F1.0) /
    DXCCSR_PNL015            (F1.0) /
    DXCCSR_PRG001            (F1.0) /
    DXCCSR_PRG002            (F1.0) /
    DXCCSR_PRG003            (F1.0) /
    DXCCSR_PRG004            (F1.0) /
    DXCCSR_PRG005            (F1.0) /
    DXCCSR_PRG006            (F1.0) /
    DXCCSR_PRG007            (F1.0) /
    DXCCSR_PRG008            (F1.0) /
    DXCCSR_PRG009            (F1.0) /
    DXCCSR_PRG010            (F1.0) /
    DXCCSR_PRG011            (F1.0) /
    DXCCSR_PRG012            (F1.0) /
    DXCCSR_PRG013            (F1.0) /
    DXCCSR_PRG014            (F1.0) /
    DXCCSR_PRG015            (F1.0) /
    DXCCSR_PRG016            (F1.0) /
    DXCCSR_PRG017            (F1.0) /
    DXCCSR_PRG018            (F1.0) /
    DXCCSR_PRG019            (F1.0) /
    DXCCSR_PRG020            (F1.0) /
    DXCCSR_PRG021            (F1.0) /
    DXCCSR_PRG022            (F1.0) /
    DXCCSR_PRG023            (F1.0) /
    DXCCSR_PRG024            (F1.0) /
    DXCCSR_PRG025            (F1.0) /
    DXCCSR_PRG026            (F1.0) /
    DXCCSR_PRG027            (F1.0) /
    DXCCSR_PRG028            (F1.0) /
    DXCCSR_PRG029            (F1.0) /
    DXCCSR_PRG030            (F1.0) /
    DXCCSR_RSP001            (F1.0) /
    DXCCSR_RSP002            (F1.0) /
    DXCCSR_RSP003            (F1.0) /
    DXCCSR_RSP004            (F1.0) /
    DXCCSR_RSP005            (F1.0) /
    DXCCSR_RSP006            (F1.0) /
    DXCCSR_RSP007            (F1.0) /
    DXCCSR_RSP008            (F1.0) /
    DXCCSR_RSP009            (F1.0) /
    DXCCSR_RSP010            (F1.0) /
    DXCCSR_RSP011            (F1.0) /
    DXCCSR_RSP012            (F1.0) /
    DXCCSR_RSP013            (F1.0) /
    DXCCSR_RSP014            (F1.0) /
    DXCCSR_RSP015            (F1.0) /
    DXCCSR_RSP016            (F1.0) /
    DXCCSR_RSP017            (F1.0) /
    DXCCSR_SKN001            (F1.0) /
    DXCCSR_SKN002            (F1.0) /
    DXCCSR_SKN003            (F1.0) /
    DXCCSR_SKN004            (F1.0) /
    DXCCSR_SKN005            (F1.0) /
    DXCCSR_SKN006            (F1.0) /
    DXCCSR_SKN007            (F1.0) /
    DXCCSR_SYM001            (F1.0) /
    DXCCSR_SYM002            (F1.0) /
    DXCCSR_SYM003            (F1.0) /
    DXCCSR_SYM004            (F1.0) /
    DXCCSR_SYM005            (F1.0) /
    DXCCSR_SYM006            (F1.0) /
    DXCCSR_SYM007            (F1.0) /
    DXCCSR_SYM008            (F1.0) /
    DXCCSR_SYM009            (F1.0) /
    DXCCSR_SYM010            (F1.0) /
    DXCCSR_SYM011            (F1.0) /
    DXCCSR_SYM012            (F1.0) /
    DXCCSR_SYM013            (F1.0) /
    DXCCSR_SYM014            (F1.0) /
    DXCCSR_SYM015            (F1.0) /
    DXCCSR_SYM016            (F1.0) /
    DXCCSR_SYM017            (F1.0) /
    PCLASS1                  (F3.0) /
    PCLASS2                  (F3.0) /
    PCLASS3                  (F3.0) /
    PCLASS4                  (F3.0) /
    PCLASS5                  (F3.0) /
    PCLASS6                  (F3.0) /
    PCLASS7                  (F3.0) /
    PCLASS8                  (F3.0) /
    PCLASS9                  (F3.0) /
    PCLASS10                 (F3.0) /
    PCLASS11                 (F3.0) /
    PCLASS12                 (F3.0) /
    PCLASS13                 (F3.0) /
    PCLASS14                 (F3.0) /
    PCLASS15                 (F3.0) /
    PCLASS16                 (F3.0) /
    PCLASS17                 (F3.0) /
    PCLASS18                 (F3.0) /
    PCLASS19                 (F3.0) /
    PCLASS20                 (F3.0) /
    PCLASS21                 (F3.0) /
    PCLASS22                 (F3.0) /
    PCLASS23                 (F3.0) /
    PCLASS24                 (F3.0) /
    PCLASS25                 (F3.0) /
    PRCCSR_ADM001            (F1.0) /
    PRCCSR_ADM002            (F1.0) /
    PRCCSR_ADM003            (F1.0) /
    PRCCSR_ADM004            (F1.0) /
    PRCCSR_ADM005            (F1.0) /
    PRCCSR_ADM006            (F1.0) /
    PRCCSR_ADM007            (F1.0) /
    PRCCSR_ADM008            (F1.0) /
    PRCCSR_ADM009            (F1.0) /
    PRCCSR_ADM010            (F1.0) /
    PRCCSR_ADM011            (F1.0) /
    PRCCSR_ADM012            (F1.0) /
    PRCCSR_ADM013            (F1.0) /
    PRCCSR_ADM014            (F1.0) /
    PRCCSR_ADM015            (F1.0) /
    PRCCSR_ADM016            (F1.0) /
    PRCCSR_ADM017            (F1.0) /
    PRCCSR_ADM018            (F1.0) /
    PRCCSR_ADM019            (F1.0) /
    PRCCSR_ADM020            (F1.0) /
    PRCCSR_ADM021            (F1.0) /
    PRCCSR_CAR001            (F1.0) /
    PRCCSR_CAR002            (F1.0) /
    PRCCSR_CAR003            (F1.0) /
    PRCCSR_CAR004            (F1.0) /
    PRCCSR_CAR005            (F1.0) /
    PRCCSR_CAR006            (F1.0) /
    PRCCSR_CAR007            (F1.0) /
    PRCCSR_CAR008            (F1.0) /
    PRCCSR_CAR009            (F1.0) /
    PRCCSR_CAR010            (F1.0) /
    PRCCSR_CAR011            (F1.0) /
    PRCCSR_CAR012            (F1.0) /
    PRCCSR_CAR013            (F1.0) /
    PRCCSR_CAR014            (F1.0) /
    PRCCSR_CAR015            (F1.0) /
    PRCCSR_CAR016            (F1.0) /
    PRCCSR_CAR017            (F1.0) /
    PRCCSR_CAR018            (F1.0) /
    PRCCSR_CAR019            (F1.0) /
    PRCCSR_CAR020            (F1.0) /
    PRCCSR_CAR021            (F1.0) /
    PRCCSR_CAR022            (F1.0) /
    PRCCSR_CAR023            (F1.0) /
    PRCCSR_CAR024            (F1.0) /
    PRCCSR_CAR025            (F1.0) /
    PRCCSR_CAR026            (F1.0) /
    PRCCSR_CAR027            (F1.0) /
    PRCCSR_CAR028            (F1.0) /
    PRCCSR_CAR029            (F1.0) /
    PRCCSR_CHP001            (F1.0) /
    PRCCSR_CNS001            (F1.0) /
    PRCCSR_CNS002            (F1.0) /
    PRCCSR_CNS003            (F1.0) /
    PRCCSR_CNS004            (F1.0) /
    PRCCSR_CNS005            (F1.0) /
    PRCCSR_CNS006            (F1.0) /
    PRCCSR_CNS007            (F1.0) /
    PRCCSR_CNS008            (F1.0) /
    PRCCSR_CNS009            (F1.0) /
    PRCCSR_CNS010            (F1.0) /
    PRCCSR_CNS011            (F1.0) /
    PRCCSR_CNS012            (F1.0) /
    PRCCSR_CNS013            (F1.0) /
    PRCCSR_CNS014            (F1.0) /
    PRCCSR_ENP001            (F1.0) /
    PRCCSR_ENP002            (F1.0) /
    PRCCSR_ENP003            (F1.0) /
    PRCCSR_ENP004            (F1.0) /
    PRCCSR_ENP005            (F1.0) /
    PRCCSR_ENP006            (F1.0) /
    PRCCSR_ENT001            (F1.0) /
    PRCCSR_ENT002            (F1.0) /
    PRCCSR_ENT003            (F1.0) /
    PRCCSR_ENT004            (F1.0) /
    PRCCSR_ENT005            (F1.0) /
    PRCCSR_ENT006            (F1.0) /
    PRCCSR_ENT007            (F1.0) /
    PRCCSR_ENT008            (F1.0) /
    PRCCSR_ENT009            (F1.0) /
    PRCCSR_ENT010            (F1.0) /
    PRCCSR_ENT011            (F1.0) /
    PRCCSR_ENT012            (F1.0) /
    PRCCSR_ENT013            (F1.0) /
    PRCCSR_ENT014            (F1.0) /
    PRCCSR_ENT015            (F1.0) /
    PRCCSR_ENT016            (F1.0) /
    PRCCSR_ENT017            (F1.0) /
    PRCCSR_ESA001            (F1.0) /
    PRCCSR_ESA002            (F1.0) /
    PRCCSR_ESA003            (F1.0) /
    PRCCSR_ESA004            (F1.0) /
    PRCCSR_ESA005            (F1.0) /
    PRCCSR_ESA006            (F1.0) /
    PRCCSR_ESA007            (F1.0) /
    PRCCSR_ESA008            (F1.0) /
    PRCCSR_ESA009            (F1.0) /
    PRCCSR_ESA010            (F1.0) /
    PRCCSR_ESA011            (F1.0) /
    PRCCSR_EST001            (F1.0) /
    PRCCSR_EST002            (F1.0) /
    PRCCSR_EST003            (F1.0) /
    PRCCSR_EST004            (F1.0) /
    PRCCSR_EST005            (F1.0) /
    PRCCSR_EYP001            (F1.0) /
    PRCCSR_EYP002            (F1.0) /
    PRCCSR_FRS001            (F1.0) /
    PRCCSR_FRS002            (F1.0) /
    PRCCSR_FRS003            (F1.0) /
    PRCCSR_FRS004            (F1.0) /
    PRCCSR_FRS005            (F1.0) /
    PRCCSR_FRS006            (F1.0) /
    PRCCSR_FRS007            (F1.0) /
    PRCCSR_FRS008            (F1.0) /
    PRCCSR_FRS009            (F1.0) /
    PRCCSR_FRS010            (F1.0) /
    PRCCSR_FRS011            (F1.0) /
    PRCCSR_FRS012            (F1.0) /
    PRCCSR_FRS013            (F1.0) /
    PRCCSR_FRS014            (F1.0) /
    PRCCSR_FRS015            (F1.0) /
    PRCCSR_GIS001            (F1.0) /
    PRCCSR_GIS002            (F1.0) /
    PRCCSR_GIS003            (F1.0) /
    PRCCSR_GIS004            (F1.0) /
    PRCCSR_GIS005            (F1.0) /
    PRCCSR_GIS006            (F1.0) /
    PRCCSR_GIS007            (F1.0) /
    PRCCSR_GIS008            (F1.0) /
    PRCCSR_GIS009            (F1.0) /
    PRCCSR_GIS010            (F1.0) /
    PRCCSR_GIS011            (F1.0) /
    PRCCSR_GIS012            (F1.0) /
    PRCCSR_GIS013            (F1.0) /
    PRCCSR_GIS014            (F1.0) /
    PRCCSR_GIS015            (F1.0) /
    PRCCSR_GIS016            (F1.0) /
    PRCCSR_GIS017            (F1.0) /
    PRCCSR_GIS018            (F1.0) /
    PRCCSR_GIS019            (F1.0) /
    PRCCSR_GIS020            (F1.0) /
    PRCCSR_GIS021            (F1.0) /
    PRCCSR_GIS022            (F1.0) /
    PRCCSR_GIS023            (F1.0) /
    PRCCSR_GIS024            (F1.0) /
    PRCCSR_GIS025            (F1.0) /
    PRCCSR_GIS026            (F1.0) /
    PRCCSR_GIS027            (F1.0) /
    PRCCSR_GIS028            (F1.0) /
    PRCCSR_GIS029            (F1.0) /
    PRCCSR_GNR001            (F1.0) /
    PRCCSR_GNR002            (F1.0) /
    PRCCSR_GNR003            (F1.0) /
    PRCCSR_GNR004            (F1.0) /
    PRCCSR_GNR005            (F1.0) /
    PRCCSR_GNR006            (F1.0) /
    PRCCSR_GNR007            (F1.0) /
    PRCCSR_GNR008            (F1.0) /
    PRCCSR_GNR009            (F1.0) /
    PRCCSR_GNR010            (F1.0) /
    PRCCSR_HEP001            (F1.0) /
    PRCCSR_HEP002            (F1.0) /
    PRCCSR_HEP003            (F1.0) /
    PRCCSR_HEP004            (F1.0) /
    PRCCSR_HEP005            (F1.0) /
    PRCCSR_HEP006            (F1.0) /
    PRCCSR_HEP007            (F1.0) /
    PRCCSR_HEP008            (F1.0) /
    PRCCSR_HEP009            (F1.0) /
    PRCCSR_HEP010            (F1.0) /
    PRCCSR_HEP011            (F1.0) /
    PRCCSR_HEP012            (F1.0) /
    PRCCSR_HEP013            (F1.0) /
    PRCCSR_IMG001            (F1.0) /
    PRCCSR_IMG002            (F1.0) /
    PRCCSR_IMG003            (F1.0) /
    PRCCSR_IMG004            (F1.0) /
    PRCCSR_IMG005            (F1.0) /
    PRCCSR_IMG006            (F1.0) /
    PRCCSR_IMG007            (F1.0) /
    PRCCSR_IMG008            (F1.0) /
    PRCCSR_IMG009            (F1.0) /
    PRCCSR_IMG010            (F1.0) /
    PRCCSR_LYM001            (F1.0) /
    PRCCSR_LYM002            (F1.0) /
    PRCCSR_LYM003            (F1.0) /
    PRCCSR_LYM004            (F1.0) /
    PRCCSR_LYM005            (F1.0) /
    PRCCSR_LYM006            (F1.0) /
    PRCCSR_LYM007            (F1.0) /
    PRCCSR_LYM008            (F1.0) /
    PRCCSR_LYM009            (F1.0) /
    PRCCSR_LYM010            (F1.0) /
    PRCCSR_LYM011            (F1.0) /
    PRCCSR_MAM001            (F1.0) /
    PRCCSR_MAM002            (F1.0) /
    PRCCSR_MAM003            (F1.0) /
    PRCCSR_MAM004            (F1.0) /
    PRCCSR_MAM005            (F1.0) /
    PRCCSR_MAM006            (F1.0) /
    PRCCSR_MAM007            (F1.0) /
    PRCCSR_MAM008            (F1.0) /
    PRCCSR_MAM009            (F1.0) /
    PRCCSR_MAM010            (F1.0) /
    PRCCSR_MAM011            (F1.0) /
    PRCCSR_MAM012            (F1.0) /
    PRCCSR_MAM013            (F1.0) /
    PRCCSR_MAM014            (F1.0) /
    PRCCSR_MAM015            (F1.0) /
    PRCCSR_MHT001            (F1.0) /
    PRCCSR_MHT002            (F1.0) /
    PRCCSR_MHT003            (F1.0) /
    PRCCSR_MHT004            (F1.0) /
    PRCCSR_MHT005            (F1.0) /
    PRCCSR_MRS001            (F1.0) /
    PRCCSR_MRS002            (F1.0) /
    PRCCSR_MRS003            (F1.0) /
    PRCCSR_MRS004            (F1.0) /
    PRCCSR_MRS005            (F1.0) /
    PRCCSR_MRS006            (F1.0) /
    PRCCSR_MRS007            (F1.0) /
    PRCCSR_MST001            (F1.0) /
    PRCCSR_MST002            (F1.0) /
    PRCCSR_MST003            (F1.0) /
    PRCCSR_MST004            (F1.0) /
    PRCCSR_MST005            (F1.0) /
    PRCCSR_MST006            (F1.0) /
    PRCCSR_MST007            (F1.0) /
    PRCCSR_MST008            (F1.0) /
    PRCCSR_MST009            (F1.0) /
    PRCCSR_MST010            (F1.0) /
    PRCCSR_MST011            (F1.0) /
    PRCCSR_MST012            (F1.0) /
    PRCCSR_MST013            (F1.0) /
    PRCCSR_MST014            (F1.0) /
    PRCCSR_MST015            (F1.0) /
    PRCCSR_MST016            (F1.0) /
    PRCCSR_MST017            (F1.0) /
    PRCCSR_MST018            (F1.0) /
    PRCCSR_MST019            (F1.0) /
    PRCCSR_MST020            (F1.0) /
    PRCCSR_MST021            (F1.0) /
    PRCCSR_MST022            (F1.0) /
    PRCCSR_MST023            (F1.0) /
    PRCCSR_MST024            (F1.0) /
    PRCCSR_MST025            (F1.0) /
    PRCCSR_MST026            (F1.0) /
    PRCCSR_MST027            (F1.0) /
    PRCCSR_MST028            (F1.0) /
    PRCCSR_MST029            (F1.0) /
    PRCCSR_MST030            (F1.0) /
    PRCCSR_NCM001            (F1.0) /
    PRCCSR_NCM002            (F1.0) /
    PRCCSR_NCM003            (F1.0) /
    PRCCSR_NCM004            (F1.0) /
    PRCCSR_OST001            (F1.0) /
    PRCCSR_OTR001            (F1.0) /
    PRCCSR_OTR002            (F1.0) /
    PRCCSR_OTR003            (F1.0) /
    PRCCSR_OTR004            (F1.0) /
    PRCCSR_OTR005            (F1.0) /
    PRCCSR_PGN001            (F1.0) /
    PRCCSR_PGN002            (F1.0) /
    PRCCSR_PGN003            (F1.0) /
    PRCCSR_PGN004            (F1.0) /
    PRCCSR_PGN005            (F1.0) /
    PRCCSR_PGN006            (F1.0) /
    PRCCSR_PGN007            (F1.0) /
    PRCCSR_PGN008            (F1.0) /
    PRCCSR_PGN009            (F1.0) /
    PRCCSR_PLC001            (F1.0) /
    PRCCSR_PLC002            (F1.0) /
    PRCCSR_PNS001            (F1.0) /
    PRCCSR_PNS002            (F1.0) /
    PRCCSR_PNS003            (F1.0) /
    PRCCSR_PNS004            (F1.0) /
    PRCCSR_PNS005            (F1.0) /
    PRCCSR_PNS006            (F1.0) /
    PRCCSR_RAD001            (F1.0) /
    PRCCSR_RAD002            (F1.0) /
    PRCCSR_RAD003            (F1.0) /
    PRCCSR_RAD004            (F1.0) /
    PRCCSR_RES001            (F1.0) /
    PRCCSR_RES002            (F1.0) /
    PRCCSR_RES003            (F1.0) /
    PRCCSR_RES004            (F1.0) /
    PRCCSR_RES005            (F1.0) /
    PRCCSR_RES006            (F1.0) /
    PRCCSR_RES007            (F1.0) /
    PRCCSR_RES008            (F1.0) /
    PRCCSR_RES009            (F1.0) /
    PRCCSR_RES010            (F1.0) /
    PRCCSR_RES011            (F1.0) /
    PRCCSR_RES012            (F1.0) /
    PRCCSR_RES013            (F1.0) /
    PRCCSR_RES014            (F1.0) /
    PRCCSR_RHB001            (F1.0) /
    PRCCSR_RHB002            (F1.0) /
    PRCCSR_RHB003            (F1.0) /
    PRCCSR_RHB004            (F1.0) /
    PRCCSR_SKB001            (F1.0) /
    PRCCSR_SKB002            (F1.0) /
    PRCCSR_SKB003            (F1.0) /
    PRCCSR_SKB004            (F1.0) /
    PRCCSR_SKB005            (F1.0) /
    PRCCSR_SKB006            (F1.0) /
    PRCCSR_SKB007            (F1.0) /
    PRCCSR_SKB008            (F1.0) /
    PRCCSR_SKB009            (F1.0) /
    PRCCSR_SKB010            (F1.0) /
    PRCCSR_SUD001            (F1.0) /
    PRCCSR_SUD002            (F1.0) /
    PRCCSR_SUD003            (F1.0) /
    PRCCSR_SUD004            (F1.0) /
    PRCCSR_URN001            (F1.0) /
    PRCCSR_URN002            (F1.0) /
    PRCCSR_URN003            (F1.0) /
    PRCCSR_URN004            (F1.0) /
    PRCCSR_URN005            (F1.0) /
    PRCCSR_URN006            (F1.0) /
    PRCCSR_URN007            (F1.0) /
    PRCCSR_URN008            (F1.0) /
    PRCCSR_URN009            (F1.0) /
    PRCCSR_URN010            (F1.0) /
    PRCCSR_URN011            (F1.0) /
    PRCCSR_URN012            (F1.0) /
.

***  Assign labels to the data elements ***.
VARIABLE LABELS 
    HOSP_KID                 "KID hospital number"
    RECNUM                   "KID record number"
    DXCCSR_BLD001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD001"
    DXCCSR_BLD002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD002"
    DXCCSR_BLD003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD003"
    DXCCSR_BLD004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD004"
    DXCCSR_BLD005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD005"
    DXCCSR_BLD006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD006"
    DXCCSR_BLD007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD007"
    DXCCSR_BLD008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD008"
    DXCCSR_BLD009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD009"
    DXCCSR_BLD010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD010"
    DXCCSR_CIR001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR001"
    DXCCSR_CIR002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR002"
    DXCCSR_CIR003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR003"
    DXCCSR_CIR004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR004"
    DXCCSR_CIR005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR005"
    DXCCSR_CIR006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR006"
    DXCCSR_CIR007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR007"
    DXCCSR_CIR008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR008"
    DXCCSR_CIR009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR009"
    DXCCSR_CIR010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR010"
    DXCCSR_CIR011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR011"
    DXCCSR_CIR012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR012"
    DXCCSR_CIR013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR013"
    DXCCSR_CIR014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR014"
    DXCCSR_CIR015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR015"
    DXCCSR_CIR016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR016"
    DXCCSR_CIR017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR017"
    DXCCSR_CIR018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR018"
    DXCCSR_CIR019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR019"
    DXCCSR_CIR020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR020"
    DXCCSR_CIR021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR021"
    DXCCSR_CIR022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR022"
    DXCCSR_CIR023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR023"
    DXCCSR_CIR024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR024"
    DXCCSR_CIR025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR025"
    DXCCSR_CIR026            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR026"
    DXCCSR_CIR027            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR027"
    DXCCSR_CIR028            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR028"
    DXCCSR_CIR029            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR029"
    DXCCSR_CIR030            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR030"
    DXCCSR_CIR031            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR031"
    DXCCSR_CIR032            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR032"
    DXCCSR_CIR033            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR033"
    DXCCSR_CIR034            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR034"
    DXCCSR_CIR035            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR035"
    DXCCSR_CIR036            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR036"
    DXCCSR_CIR037            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR037"
    DXCCSR_CIR038            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR038"
    DXCCSR_CIR039            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR039"
    DXCCSR_DIG001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG001"
    DXCCSR_DIG002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG002"
    DXCCSR_DIG003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG003"
    DXCCSR_DIG004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG004"
    DXCCSR_DIG005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG005"
    DXCCSR_DIG006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG006"
    DXCCSR_DIG007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG007"
    DXCCSR_DIG008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG008"
    DXCCSR_DIG009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG009"
    DXCCSR_DIG010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG010"
    DXCCSR_DIG011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG011"
    DXCCSR_DIG012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG012"
    DXCCSR_DIG013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG013"
    DXCCSR_DIG014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG014"
    DXCCSR_DIG015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG015"
    DXCCSR_DIG016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG016"
    DXCCSR_DIG017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG017"
    DXCCSR_DIG018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG018"
    DXCCSR_DIG019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG019"
    DXCCSR_DIG020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG020"
    DXCCSR_DIG021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG021"
    DXCCSR_DIG022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG022"
    DXCCSR_DIG023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG023"
    DXCCSR_DIG024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG024"
    DXCCSR_DIG025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG025"
    DXCCSR_Default_DX1       "Default CCSR for principal/first-listed ICD-10-CM diagnosis"
    DXCCSR_EAR001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR001"
    DXCCSR_EAR002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR002"
    DXCCSR_EAR003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR003"
    DXCCSR_EAR004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR004"
    DXCCSR_EAR005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR005"
    DXCCSR_EAR006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR006"
    DXCCSR_END001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END001"
    DXCCSR_END002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END002"
    DXCCSR_END003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END003"
    DXCCSR_END004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END004"
    DXCCSR_END005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END005"
    DXCCSR_END006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END006"
    DXCCSR_END007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END007"
    DXCCSR_END008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END008"
    DXCCSR_END009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END009"
    DXCCSR_END010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END010"
    DXCCSR_END011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END011"
    DXCCSR_END012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END012"
    DXCCSR_END013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END013"
    DXCCSR_END014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END014"
    DXCCSR_END015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END015"
    DXCCSR_END016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END016"
    DXCCSR_END017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END017"
    DXCCSR_EXT001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT001"
    DXCCSR_EXT002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT002"
    DXCCSR_EXT003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT003"
    DXCCSR_EXT004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT004"
    DXCCSR_EXT005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT005"
    DXCCSR_EXT006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT006"
    DXCCSR_EXT007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT007"
    DXCCSR_EXT008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT008"
    DXCCSR_EXT009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT009"
    DXCCSR_EXT010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT010"
    DXCCSR_EXT011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT011"
    DXCCSR_EXT012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT012"
    DXCCSR_EXT013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT013"
    DXCCSR_EXT014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT014"
    DXCCSR_EXT015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT015"
    DXCCSR_EXT016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT016"
    DXCCSR_EXT017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT017"
    DXCCSR_EXT018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT018"
    DXCCSR_EXT019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT019"
    DXCCSR_EXT020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT020"
    DXCCSR_EXT021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT021"
    DXCCSR_EXT022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT022"
    DXCCSR_EXT023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT023"
    DXCCSR_EXT024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT024"
    DXCCSR_EXT025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT025"
    DXCCSR_EXT026            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT026"
    DXCCSR_EXT027            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT027"
    DXCCSR_EXT028            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT028"
    DXCCSR_EXT029            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT029"
    DXCCSR_EXT030            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT030"
    DXCCSR_EYE001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE001"
    DXCCSR_EYE002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE002"
    DXCCSR_EYE003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE003"
    DXCCSR_EYE004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE004"
    DXCCSR_EYE005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE005"
    DXCCSR_EYE006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE006"
    DXCCSR_EYE007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE007"
    DXCCSR_EYE008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE008"
    DXCCSR_EYE009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE009"
    DXCCSR_EYE010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE010"
    DXCCSR_EYE011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE011"
    DXCCSR_EYE012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE012"
    DXCCSR_FAC001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC001"
    DXCCSR_FAC002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC002"
    DXCCSR_FAC003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC003"
    DXCCSR_FAC004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC004"
    DXCCSR_FAC005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC005"
    DXCCSR_FAC006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC006"
    DXCCSR_FAC007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC007"
    DXCCSR_FAC008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC008"
    DXCCSR_FAC009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC009"
    DXCCSR_FAC010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC010"
    DXCCSR_FAC011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC011"
    DXCCSR_FAC012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC012"
    DXCCSR_FAC013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC013"
    DXCCSR_FAC014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC014"
    DXCCSR_FAC015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC015"
    DXCCSR_FAC016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC016"
    DXCCSR_FAC017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC017"
    DXCCSR_FAC018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC018"
    DXCCSR_FAC019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC019"
    DXCCSR_FAC020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC020"
    DXCCSR_FAC021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC021"
    DXCCSR_FAC022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC022"
    DXCCSR_FAC023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC023"
    DXCCSR_FAC024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC024"
    DXCCSR_FAC025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC025"
    DXCCSR_GEN001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN001"
    DXCCSR_GEN002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN002"
    DXCCSR_GEN003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN003"
    DXCCSR_GEN004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN004"
    DXCCSR_GEN005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN005"
    DXCCSR_GEN006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN006"
    DXCCSR_GEN007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN007"
    DXCCSR_GEN008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN008"
    DXCCSR_GEN009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN009"
    DXCCSR_GEN010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN010"
    DXCCSR_GEN011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN011"
    DXCCSR_GEN012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN012"
    DXCCSR_GEN013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN013"
    DXCCSR_GEN014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN014"
    DXCCSR_GEN015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN015"
    DXCCSR_GEN016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN016"
    DXCCSR_GEN017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN017"
    DXCCSR_GEN018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN018"
    DXCCSR_GEN019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN019"
    DXCCSR_GEN020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN020"
    DXCCSR_GEN021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN021"
    DXCCSR_GEN022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN022"
    DXCCSR_GEN023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN023"
    DXCCSR_GEN024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN024"
    DXCCSR_GEN025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN025"
    DXCCSR_GEN026            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN026"
    DXCCSR_INF001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF001"
    DXCCSR_INF002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF002"
    DXCCSR_INF003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF003"
    DXCCSR_INF004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF004"
    DXCCSR_INF005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF005"
    DXCCSR_INF006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF006"
    DXCCSR_INF007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF007"
    DXCCSR_INF008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF008"
    DXCCSR_INF009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF009"
    DXCCSR_INF010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF010"
    DXCCSR_INF011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF011"
    DXCCSR_INF012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF012"
    DXCCSR_INJ001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ001"
    DXCCSR_INJ002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ002"
    DXCCSR_INJ003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ003"
    DXCCSR_INJ004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ004"
    DXCCSR_INJ005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ005"
    DXCCSR_INJ006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ006"
    DXCCSR_INJ007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ007"
    DXCCSR_INJ008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ008"
    DXCCSR_INJ009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ009"
    DXCCSR_INJ010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ010"
    DXCCSR_INJ011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ011"
    DXCCSR_INJ012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ012"
    DXCCSR_INJ013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ013"
    DXCCSR_INJ014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ014"
    DXCCSR_INJ015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ015"
    DXCCSR_INJ016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ016"
    DXCCSR_INJ017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ017"
    DXCCSR_INJ018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ018"
    DXCCSR_INJ019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ019"
    DXCCSR_INJ020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ020"
    DXCCSR_INJ021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ021"
    DXCCSR_INJ022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ022"
    DXCCSR_INJ023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ023"
    DXCCSR_INJ024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ024"
    DXCCSR_INJ025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ025"
    DXCCSR_INJ026            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ026"
    DXCCSR_INJ027            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ027"
    DXCCSR_INJ028            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ028"
    DXCCSR_INJ029            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ029"
    DXCCSR_INJ030            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ030"
    DXCCSR_INJ031            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ031"
    DXCCSR_INJ032            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ032"
    DXCCSR_INJ033            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ033"
    DXCCSR_INJ034            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ034"
    DXCCSR_INJ035            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ035"
    DXCCSR_INJ036            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ036"
    DXCCSR_INJ037            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ037"
    DXCCSR_INJ038            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ038"
    DXCCSR_INJ039            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ039"
    DXCCSR_INJ040            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ040"
    DXCCSR_INJ041            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ041"
    DXCCSR_INJ042            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ042"
    DXCCSR_INJ043            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ043"
    DXCCSR_INJ044            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ044"
    DXCCSR_INJ045            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ045"
    DXCCSR_INJ046            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ046"
    DXCCSR_INJ047            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ047"
    DXCCSR_INJ048            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ048"
    DXCCSR_INJ049            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ049"
    DXCCSR_INJ050            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ050"
    DXCCSR_INJ051            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ051"
    DXCCSR_INJ052            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ052"
    DXCCSR_INJ053            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ053"
    DXCCSR_INJ054            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ054"
    DXCCSR_INJ055            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ055"
    DXCCSR_INJ056            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ056"
    DXCCSR_INJ057            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ057"
    DXCCSR_INJ058            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ058"
    DXCCSR_INJ059            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ059"
    DXCCSR_INJ060            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ060"
    DXCCSR_INJ061            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ061"
    DXCCSR_INJ062            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ062"
    DXCCSR_INJ063            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ063"
    DXCCSR_INJ064            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ064"
    DXCCSR_INJ065            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ065"
    DXCCSR_INJ066            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ066"
    DXCCSR_INJ067            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ067"
    DXCCSR_INJ068            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ068"
    DXCCSR_INJ069            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ069"
    DXCCSR_INJ070            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ070"
    DXCCSR_INJ071            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ071"
    DXCCSR_INJ072            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ072"
    DXCCSR_INJ073            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ073"
    DXCCSR_INJ074            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ074"
    DXCCSR_INJ075            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ075"
    DXCCSR_INJ076            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ076"
    DXCCSR_MAL001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL001"
    DXCCSR_MAL002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL002"
    DXCCSR_MAL003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL003"
    DXCCSR_MAL004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL004"
    DXCCSR_MAL005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL005"
    DXCCSR_MAL006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL006"
    DXCCSR_MAL007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL007"
    DXCCSR_MAL008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL008"
    DXCCSR_MAL009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL009"
    DXCCSR_MAL010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL010"
    DXCCSR_MBD001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD001"
    DXCCSR_MBD002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD002"
    DXCCSR_MBD003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD003"
    DXCCSR_MBD004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD004"
    DXCCSR_MBD005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD005"
    DXCCSR_MBD006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD006"
    DXCCSR_MBD007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD007"
    DXCCSR_MBD008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD008"
    DXCCSR_MBD009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD009"
    DXCCSR_MBD010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD010"
    DXCCSR_MBD011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD011"
    DXCCSR_MBD012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD012"
    DXCCSR_MBD013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD013"
    DXCCSR_MBD014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD014"
    DXCCSR_MBD017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD017"
    DXCCSR_MBD018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD018"
    DXCCSR_MBD019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD019"
    DXCCSR_MBD020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD020"
    DXCCSR_MBD021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD021"
    DXCCSR_MBD022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD022"
    DXCCSR_MBD023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD023"
    DXCCSR_MBD024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD024"
    DXCCSR_MBD025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD025"
    DXCCSR_MBD026            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD026"
    DXCCSR_MBD027            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD027"
    DXCCSR_MBD028            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD028"
    DXCCSR_MBD029            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD029"
    DXCCSR_MBD030            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD030"
    DXCCSR_MBD031            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD031"
    DXCCSR_MBD032            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD032"
    DXCCSR_MBD033            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD033"
    DXCCSR_MBD034            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD034"
    DXCCSR_MUS001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS001"
    DXCCSR_MUS002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS002"
    DXCCSR_MUS003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS003"
    DXCCSR_MUS004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS004"
    DXCCSR_MUS005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS005"
    DXCCSR_MUS006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS006"
    DXCCSR_MUS007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS007"
    DXCCSR_MUS008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS008"
    DXCCSR_MUS009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS009"
    DXCCSR_MUS010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS010"
    DXCCSR_MUS011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS011"
    DXCCSR_MUS012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS012"
    DXCCSR_MUS013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS013"
    DXCCSR_MUS014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS014"
    DXCCSR_MUS015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS015"
    DXCCSR_MUS016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS016"
    DXCCSR_MUS017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS017"
    DXCCSR_MUS018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS018"
    DXCCSR_MUS019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS019"
    DXCCSR_MUS020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS020"
    DXCCSR_MUS021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS021"
    DXCCSR_MUS022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS022"
    DXCCSR_MUS023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS023"
    DXCCSR_MUS024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS024"
    DXCCSR_MUS025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS025"
    DXCCSR_MUS026            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS026"
    DXCCSR_MUS027            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS027"
    DXCCSR_MUS028            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS028"
    DXCCSR_MUS029            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS029"
    DXCCSR_MUS030            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS030"
    DXCCSR_MUS031            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS031"
    DXCCSR_MUS032            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS032"
    DXCCSR_MUS033            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS033"
    DXCCSR_MUS034            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS034"
    DXCCSR_MUS035            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS035"
    DXCCSR_MUS036            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS036"
    DXCCSR_MUS037            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS037"
    DXCCSR_MUS038            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS038"
    DXCCSR_NEO001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO001"
    DXCCSR_NEO002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO002"
    DXCCSR_NEO003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO003"
    DXCCSR_NEO004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO004"
    DXCCSR_NEO005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO005"
    DXCCSR_NEO006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO006"
    DXCCSR_NEO007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO007"
    DXCCSR_NEO008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO008"
    DXCCSR_NEO009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO009"
    DXCCSR_NEO010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO010"
    DXCCSR_NEO011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO011"
    DXCCSR_NEO012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO012"
    DXCCSR_NEO013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO013"
    DXCCSR_NEO014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO014"
    DXCCSR_NEO015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO015"
    DXCCSR_NEO016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO016"
    DXCCSR_NEO017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO017"
    DXCCSR_NEO018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO018"
    DXCCSR_NEO019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO019"
    DXCCSR_NEO020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO020"
    DXCCSR_NEO021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO021"
    DXCCSR_NEO022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO022"
    DXCCSR_NEO023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO023"
    DXCCSR_NEO024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO024"
    DXCCSR_NEO025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO025"
    DXCCSR_NEO026            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO026"
    DXCCSR_NEO027            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO027"
    DXCCSR_NEO028            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO028"
    DXCCSR_NEO029            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO029"
    DXCCSR_NEO030            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO030"
    DXCCSR_NEO031            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO031"
    DXCCSR_NEO032            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO032"
    DXCCSR_NEO033            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO033"
    DXCCSR_NEO034            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO034"
    DXCCSR_NEO035            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO035"
    DXCCSR_NEO036            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO036"
    DXCCSR_NEO037            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO037"
    DXCCSR_NEO038            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO038"
    DXCCSR_NEO039            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO039"
    DXCCSR_NEO040            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO040"
    DXCCSR_NEO041            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO041"
    DXCCSR_NEO042            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO042"
    DXCCSR_NEO043            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO043"
    DXCCSR_NEO044            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO044"
    DXCCSR_NEO045            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO045"
    DXCCSR_NEO046            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO046"
    DXCCSR_NEO047            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO047"
    DXCCSR_NEO048            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO048"
    DXCCSR_NEO049            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO049"
    DXCCSR_NEO050            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO050"
    DXCCSR_NEO051            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO051"
    DXCCSR_NEO052            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO052"
    DXCCSR_NEO053            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO053"
    DXCCSR_NEO054            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO054"
    DXCCSR_NEO055            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO055"
    DXCCSR_NEO056            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO056"
    DXCCSR_NEO057            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO057"
    DXCCSR_NEO058            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO058"
    DXCCSR_NEO059            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO059"
    DXCCSR_NEO060            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO060"
    DXCCSR_NEO061            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO061"
    DXCCSR_NEO062            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO062"
    DXCCSR_NEO063            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO063"
    DXCCSR_NEO064            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO064"
    DXCCSR_NEO065            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO065"
    DXCCSR_NEO066            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO066"
    DXCCSR_NEO067            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO067"
    DXCCSR_NEO068            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO068"
    DXCCSR_NEO069            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO069"
    DXCCSR_NEO070            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO070"
    DXCCSR_NEO071            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO071"
    DXCCSR_NEO072            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO072"
    DXCCSR_NEO073            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO073"
    DXCCSR_NEO074            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO074"
    DXCCSR_NVS001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS001"
    DXCCSR_NVS002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS002"
    DXCCSR_NVS003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS003"
    DXCCSR_NVS004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS004"
    DXCCSR_NVS005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS005"
    DXCCSR_NVS006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS006"
    DXCCSR_NVS007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS007"
    DXCCSR_NVS008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS008"
    DXCCSR_NVS009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS009"
    DXCCSR_NVS010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS010"
    DXCCSR_NVS011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS011"
    DXCCSR_NVS012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS012"
    DXCCSR_NVS013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS013"
    DXCCSR_NVS014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS014"
    DXCCSR_NVS015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS015"
    DXCCSR_NVS016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS016"
    DXCCSR_NVS017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS017"
    DXCCSR_NVS018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS018"
    DXCCSR_NVS019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS019"
    DXCCSR_NVS020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS020"
    DXCCSR_NVS021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS021"
    DXCCSR_NVS022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS022"
    DXCCSR_PNL001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL001"
    DXCCSR_PNL002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL002"
    DXCCSR_PNL003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL003"
    DXCCSR_PNL004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL004"
    DXCCSR_PNL005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL005"
    DXCCSR_PNL006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL006"
    DXCCSR_PNL007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL007"
    DXCCSR_PNL008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL008"
    DXCCSR_PNL009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL009"
    DXCCSR_PNL010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL010"
    DXCCSR_PNL011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL011"
    DXCCSR_PNL012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL012"
    DXCCSR_PNL013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL013"
    DXCCSR_PNL014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL014"
    DXCCSR_PNL015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL015"
    DXCCSR_PRG001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG001"
    DXCCSR_PRG002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG002"
    DXCCSR_PRG003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG003"
    DXCCSR_PRG004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG004"
    DXCCSR_PRG005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG005"
    DXCCSR_PRG006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG006"
    DXCCSR_PRG007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG007"
    DXCCSR_PRG008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG008"
    DXCCSR_PRG009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG009"
    DXCCSR_PRG010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG010"
    DXCCSR_PRG011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG011"
    DXCCSR_PRG012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG012"
    DXCCSR_PRG013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG013"
    DXCCSR_PRG014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG014"
    DXCCSR_PRG015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG015"
    DXCCSR_PRG016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG016"
    DXCCSR_PRG017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG017"
    DXCCSR_PRG018            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG018"
    DXCCSR_PRG019            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG019"
    DXCCSR_PRG020            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG020"
    DXCCSR_PRG021            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG021"
    DXCCSR_PRG022            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG022"
    DXCCSR_PRG023            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG023"
    DXCCSR_PRG024            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG024"
    DXCCSR_PRG025            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG025"
    DXCCSR_PRG026            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG026"
    DXCCSR_PRG027            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG027"
    DXCCSR_PRG028            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG028"
    DXCCSR_PRG029            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG029"
    DXCCSR_PRG030            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG030"
    DXCCSR_RSP001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP001"
    DXCCSR_RSP002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP002"
    DXCCSR_RSP003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP003"
    DXCCSR_RSP004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP004"
    DXCCSR_RSP005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP005"
    DXCCSR_RSP006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP006"
    DXCCSR_RSP007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP007"
    DXCCSR_RSP008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP008"
    DXCCSR_RSP009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP009"
    DXCCSR_RSP010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP010"
    DXCCSR_RSP011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP011"
    DXCCSR_RSP012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP012"
    DXCCSR_RSP013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP013"
    DXCCSR_RSP014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP014"
    DXCCSR_RSP015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP015"
    DXCCSR_RSP016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP016"
    DXCCSR_RSP017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP017"
    DXCCSR_SKN001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN001"
    DXCCSR_SKN002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN002"
    DXCCSR_SKN003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN003"
    DXCCSR_SKN004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN004"
    DXCCSR_SKN005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN005"
    DXCCSR_SKN006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN006"
    DXCCSR_SKN007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN007"
    DXCCSR_SYM001            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM001"
    DXCCSR_SYM002            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM002"
    DXCCSR_SYM003            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM003"
    DXCCSR_SYM004            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM004"
    DXCCSR_SYM005            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM005"
    DXCCSR_SYM006            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM006"
    DXCCSR_SYM007            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM007"
    DXCCSR_SYM008            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM008"
    DXCCSR_SYM009            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM009"
    DXCCSR_SYM010            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM010"
    DXCCSR_SYM011            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM011"
    DXCCSR_SYM012            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM012"
    DXCCSR_SYM013            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM013"
    DXCCSR_SYM014            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM014"
    DXCCSR_SYM015            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM015"
    DXCCSR_SYM016            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM016"
    DXCCSR_SYM017            "Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM017"
    DXCCSR_VERSION           "Version of CCSR for ICD-10-CM diagnoses"
    PCLASS1                  "ICD-10-PCS Procedure class 1"
    PCLASS2                  "ICD-10-PCS Procedure class 2"
    PCLASS3                  "ICD-10-PCS Procedure class 3"
    PCLASS4                  "ICD-10-PCS Procedure class 4"
    PCLASS5                  "ICD-10-PCS Procedure class 5"
    PCLASS6                  "ICD-10-PCS Procedure class 6"
    PCLASS7                  "ICD-10-PCS Procedure class 7"
    PCLASS8                  "ICD-10-PCS Procedure class 8"
    PCLASS9                  "ICD-10-PCS Procedure class 9"
    PCLASS10                 "ICD-10-PCS Procedure class 10"
    PCLASS11                 "ICD-10-PCS Procedure class 11"
    PCLASS12                 "ICD-10-PCS Procedure class 12"
    PCLASS13                 "ICD-10-PCS Procedure class 13"
    PCLASS14                 "ICD-10-PCS Procedure class 14"
    PCLASS15                 "ICD-10-PCS Procedure class 15"
    PCLASS16                 "ICD-10-PCS Procedure class 16"
    PCLASS17                 "ICD-10-PCS Procedure class 17"
    PCLASS18                 "ICD-10-PCS Procedure class 18"
    PCLASS19                 "ICD-10-PCS Procedure class 19"
    PCLASS20                 "ICD-10-PCS Procedure class 20"
    PCLASS21                 "ICD-10-PCS Procedure class 21"
    PCLASS22                 "ICD-10-PCS Procedure class 22"
    PCLASS23                 "ICD-10-PCS Procedure class 23"
    PCLASS24                 "ICD-10-PCS Procedure class 24"
    PCLASS25                 "ICD-10-PCS Procedure class 25"
    PCLASS_VERSION           "Version of ICD-10-PCS Procedure class"
    PRCCSR_ADM001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM001"
    PRCCSR_ADM002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM002"
    PRCCSR_ADM003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM003"
    PRCCSR_ADM004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM004"
    PRCCSR_ADM005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM005"
    PRCCSR_ADM006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM006"
    PRCCSR_ADM007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM007"
    PRCCSR_ADM008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM008"
    PRCCSR_ADM009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM009"
    PRCCSR_ADM010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM010"
    PRCCSR_ADM011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM011"
    PRCCSR_ADM012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM012"
    PRCCSR_ADM013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM013"
    PRCCSR_ADM014            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM014"
    PRCCSR_ADM015            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM015"
    PRCCSR_ADM016            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM016"
    PRCCSR_ADM017            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM017"
    PRCCSR_ADM018            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM018"
    PRCCSR_ADM019            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM019"
    PRCCSR_ADM020            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM020"
    PRCCSR_ADM021            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM021"
    PRCCSR_CAR001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR001"
    PRCCSR_CAR002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR002"
    PRCCSR_CAR003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR003"
    PRCCSR_CAR004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR004"
    PRCCSR_CAR005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR005"
    PRCCSR_CAR006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR006"
    PRCCSR_CAR007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR007"
    PRCCSR_CAR008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR008"
    PRCCSR_CAR009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR009"
    PRCCSR_CAR010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR010"
    PRCCSR_CAR011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR011"
    PRCCSR_CAR012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR012"
    PRCCSR_CAR013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR013"
    PRCCSR_CAR014            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR014"
    PRCCSR_CAR015            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR015"
    PRCCSR_CAR016            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR016"
    PRCCSR_CAR017            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR017"
    PRCCSR_CAR018            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR018"
    PRCCSR_CAR019            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR019"
    PRCCSR_CAR020            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR020"
    PRCCSR_CAR021            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR021"
    PRCCSR_CAR022            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR022"
    PRCCSR_CAR023            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR023"
    PRCCSR_CAR024            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR024"
    PRCCSR_CAR025            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR025"
    PRCCSR_CAR026            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR026"
    PRCCSR_CAR027            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR027"
    PRCCSR_CAR028            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR028"
    PRCCSR_CAR029            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR029"
    PRCCSR_CHP001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CHP001"
    PRCCSR_CNS001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS001"
    PRCCSR_CNS002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS002"
    PRCCSR_CNS003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS003"
    PRCCSR_CNS004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS004"
    PRCCSR_CNS005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS005"
    PRCCSR_CNS006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS006"
    PRCCSR_CNS007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS007"
    PRCCSR_CNS008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS008"
    PRCCSR_CNS009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS009"
    PRCCSR_CNS010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS010"
    PRCCSR_CNS011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS011"
    PRCCSR_CNS012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS012"
    PRCCSR_CNS013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS013"
    PRCCSR_CNS014            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS014"
    PRCCSR_ENP001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP001"
    PRCCSR_ENP002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP002"
    PRCCSR_ENP003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP003"
    PRCCSR_ENP004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP004"
    PRCCSR_ENP005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP005"
    PRCCSR_ENP006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP006"
    PRCCSR_ENT001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT001"
    PRCCSR_ENT002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT002"
    PRCCSR_ENT003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT003"
    PRCCSR_ENT004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT004"
    PRCCSR_ENT005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT005"
    PRCCSR_ENT006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT006"
    PRCCSR_ENT007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT007"
    PRCCSR_ENT008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT008"
    PRCCSR_ENT009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT009"
    PRCCSR_ENT010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT010"
    PRCCSR_ENT011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT011"
    PRCCSR_ENT012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT012"
    PRCCSR_ENT013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT013"
    PRCCSR_ENT014            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT014"
    PRCCSR_ENT015            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT015"
    PRCCSR_ENT016            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT016"
    PRCCSR_ENT017            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT017"
    PRCCSR_ESA001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA001"
    PRCCSR_ESA002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA002"
    PRCCSR_ESA003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA003"
    PRCCSR_ESA004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA004"
    PRCCSR_ESA005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA005"
    PRCCSR_ESA006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA006"
    PRCCSR_ESA007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA007"
    PRCCSR_ESA008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA008"
    PRCCSR_ESA009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA009"
    PRCCSR_ESA010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA010"
    PRCCSR_ESA011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA011"
    PRCCSR_EST001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST001"
    PRCCSR_EST002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST002"
    PRCCSR_EST003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST003"
    PRCCSR_EST004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST004"
    PRCCSR_EST005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST005"
    PRCCSR_EYP001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EYP001"
    PRCCSR_EYP002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EYP002"
    PRCCSR_FRS001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS001"
    PRCCSR_FRS002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS002"
    PRCCSR_FRS003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS003"
    PRCCSR_FRS004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS004"
    PRCCSR_FRS005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS005"
    PRCCSR_FRS006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS006"
    PRCCSR_FRS007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS007"
    PRCCSR_FRS008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS008"
    PRCCSR_FRS009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS009"
    PRCCSR_FRS010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS010"
    PRCCSR_FRS011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS011"
    PRCCSR_FRS012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS012"
    PRCCSR_FRS013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS013"
    PRCCSR_FRS014            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS014"
    PRCCSR_FRS015            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS015"
    PRCCSR_GIS001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS001"
    PRCCSR_GIS002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS002"
    PRCCSR_GIS003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS003"
    PRCCSR_GIS004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS004"
    PRCCSR_GIS005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS005"
    PRCCSR_GIS006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS006"
    PRCCSR_GIS007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS007"
    PRCCSR_GIS008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS008"
    PRCCSR_GIS009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS009"
    PRCCSR_GIS010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS010"
    PRCCSR_GIS011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS011"
    PRCCSR_GIS012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS012"
    PRCCSR_GIS013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS013"
    PRCCSR_GIS014            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS014"
    PRCCSR_GIS015            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS015"
    PRCCSR_GIS016            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS016"
    PRCCSR_GIS017            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS017"
    PRCCSR_GIS018            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS018"
    PRCCSR_GIS019            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS019"
    PRCCSR_GIS020            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS020"
    PRCCSR_GIS021            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS021"
    PRCCSR_GIS022            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS022"
    PRCCSR_GIS023            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS023"
    PRCCSR_GIS024            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS024"
    PRCCSR_GIS025            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS025"
    PRCCSR_GIS026            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS026"
    PRCCSR_GIS027            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS027"
    PRCCSR_GIS028            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS028"
    PRCCSR_GIS029            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS029"
    PRCCSR_GNR001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR001"
    PRCCSR_GNR002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR002"
    PRCCSR_GNR003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR003"
    PRCCSR_GNR004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR004"
    PRCCSR_GNR005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR005"
    PRCCSR_GNR006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR006"
    PRCCSR_GNR007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR007"
    PRCCSR_GNR008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR008"
    PRCCSR_GNR009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR009"
    PRCCSR_GNR010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR010"
    PRCCSR_HEP001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP001"
    PRCCSR_HEP002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP002"
    PRCCSR_HEP003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP003"
    PRCCSR_HEP004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP004"
    PRCCSR_HEP005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP005"
    PRCCSR_HEP006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP006"
    PRCCSR_HEP007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP007"
    PRCCSR_HEP008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP008"
    PRCCSR_HEP009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP009"
    PRCCSR_HEP010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP010"
    PRCCSR_HEP011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP011"
    PRCCSR_HEP012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP012"
    PRCCSR_HEP013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP013"
    PRCCSR_IMG001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG001"
    PRCCSR_IMG002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG002"
    PRCCSR_IMG003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG003"
    PRCCSR_IMG004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG004"
    PRCCSR_IMG005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG005"
    PRCCSR_IMG006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG006"
    PRCCSR_IMG007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG007"
    PRCCSR_IMG008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG008"
    PRCCSR_IMG009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG009"
    PRCCSR_IMG010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG010"
    PRCCSR_LYM001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM001"
    PRCCSR_LYM002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM002"
    PRCCSR_LYM003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM003"
    PRCCSR_LYM004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM004"
    PRCCSR_LYM005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM005"
    PRCCSR_LYM006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM006"
    PRCCSR_LYM007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM007"
    PRCCSR_LYM008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM008"
    PRCCSR_LYM009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM009"
    PRCCSR_LYM010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM010"
    PRCCSR_LYM011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM011"
    PRCCSR_MAM001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM001"
    PRCCSR_MAM002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM002"
    PRCCSR_MAM003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM003"
    PRCCSR_MAM004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM004"
    PRCCSR_MAM005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM005"
    PRCCSR_MAM006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM006"
    PRCCSR_MAM007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM007"
    PRCCSR_MAM008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM008"
    PRCCSR_MAM009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM009"
    PRCCSR_MAM010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM010"
    PRCCSR_MAM011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM011"
    PRCCSR_MAM012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM012"
    PRCCSR_MAM013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM013"
    PRCCSR_MAM014            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM014"
    PRCCSR_MAM015            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM015"
    PRCCSR_MHT001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT001"
    PRCCSR_MHT002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT002"
    PRCCSR_MHT003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT003"
    PRCCSR_MHT004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT004"
    PRCCSR_MHT005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT005"
    PRCCSR_MRS001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS001"
    PRCCSR_MRS002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS002"
    PRCCSR_MRS003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS003"
    PRCCSR_MRS004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS004"
    PRCCSR_MRS005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS005"
    PRCCSR_MRS006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS006"
    PRCCSR_MRS007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS007"
    PRCCSR_MST001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST001"
    PRCCSR_MST002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST002"
    PRCCSR_MST003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST003"
    PRCCSR_MST004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST004"
    PRCCSR_MST005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST005"
    PRCCSR_MST006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST006"
    PRCCSR_MST007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST007"
    PRCCSR_MST008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST008"
    PRCCSR_MST009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST009"
    PRCCSR_MST010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST010"
    PRCCSR_MST011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST011"
    PRCCSR_MST012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST012"
    PRCCSR_MST013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST013"
    PRCCSR_MST014            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST014"
    PRCCSR_MST015            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST015"
    PRCCSR_MST016            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST016"
    PRCCSR_MST017            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST017"
    PRCCSR_MST018            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST018"
    PRCCSR_MST019            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST019"
    PRCCSR_MST020            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST020"
    PRCCSR_MST021            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST021"
    PRCCSR_MST022            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST022"
    PRCCSR_MST023            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST023"
    PRCCSR_MST024            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST024"
    PRCCSR_MST025            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST025"
    PRCCSR_MST026            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST026"
    PRCCSR_MST027            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST027"
    PRCCSR_MST028            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST028"
    PRCCSR_MST029            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST029"
    PRCCSR_MST030            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST030"
    PRCCSR_NCM001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR NCM001"
    PRCCSR_NCM002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR NCM002"
    PRCCSR_NCM003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR NCM003"
    PRCCSR_NCM004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR NCM004"
    PRCCSR_OST001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OST001"
    PRCCSR_OTR001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR001"
    PRCCSR_OTR002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR002"
    PRCCSR_OTR003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR003"
    PRCCSR_OTR004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR004"
    PRCCSR_OTR005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR005"
    PRCCSR_PGN001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN001"
    PRCCSR_PGN002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN002"
    PRCCSR_PGN003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN003"
    PRCCSR_PGN004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN004"
    PRCCSR_PGN005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN005"
    PRCCSR_PGN006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN006"
    PRCCSR_PGN007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN007"
    PRCCSR_PGN008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN008"
    PRCCSR_PGN009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN009"
    PRCCSR_PLC001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PLC001"
    PRCCSR_PLC002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PLC002"
    PRCCSR_PNS001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS001"
    PRCCSR_PNS002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS002"
    PRCCSR_PNS003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS003"
    PRCCSR_PNS004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS004"
    PRCCSR_PNS005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS005"
    PRCCSR_PNS006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS006"
    PRCCSR_RAD001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RAD001"
    PRCCSR_RAD002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RAD002"
    PRCCSR_RAD003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RAD003"
    PRCCSR_RAD004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RAD004"
    PRCCSR_RES001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES001"
    PRCCSR_RES002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES002"
    PRCCSR_RES003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES003"
    PRCCSR_RES004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES004"
    PRCCSR_RES005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES005"
    PRCCSR_RES006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES006"
    PRCCSR_RES007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES007"
    PRCCSR_RES008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES008"
    PRCCSR_RES009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES009"
    PRCCSR_RES010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES010"
    PRCCSR_RES011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES011"
    PRCCSR_RES012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES012"
    PRCCSR_RES013            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES013"
    PRCCSR_RES014            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES014"
    PRCCSR_RHB001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RHB001"
    PRCCSR_RHB002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RHB002"
    PRCCSR_RHB003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RHB003"
    PRCCSR_RHB004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RHB004"
    PRCCSR_SKB001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB001"
    PRCCSR_SKB002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB002"
    PRCCSR_SKB003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB003"
    PRCCSR_SKB004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB004"
    PRCCSR_SKB005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB005"
    PRCCSR_SKB006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB006"
    PRCCSR_SKB007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB007"
    PRCCSR_SKB008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB008"
    PRCCSR_SKB009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB009"
    PRCCSR_SKB010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB010"
    PRCCSR_SUD001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SUD001"
    PRCCSR_SUD002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SUD002"
    PRCCSR_SUD003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SUD003"
    PRCCSR_SUD004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SUD004"
    PRCCSR_URN001            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN001"
    PRCCSR_URN002            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN002"
    PRCCSR_URN003            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN003"
    PRCCSR_URN004            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN004"
    PRCCSR_URN005            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN005"
    PRCCSR_URN006            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN006"
    PRCCSR_URN007            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN007"
    PRCCSR_URN008            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN008"
    PRCCSR_URN009            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN009"
    PRCCSR_URN010            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN010"
    PRCCSR_URN011            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN011"
    PRCCSR_URN012            "Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN012"
    PRCCSR_VERSION           "Version of CCSR for ICD-10-PCS procedures" .

*** Convert special values to system missing values ***.
RECODE HOSP_KID                 (-9999 -8888 -6666=SYSMIS).
RECODE RECNUM                   (-9999999 -8888888 -6666666=SYSMIS).
RECODE PCLASS1                  (-99 -88 -66=SYSMIS).
RECODE PCLASS2                  (-99 -88 -66=SYSMIS).
RECODE PCLASS3                  (-99 -88 -66=SYSMIS).
RECODE PCLASS4                  (-99 -88 -66=SYSMIS).
RECODE PCLASS5                  (-99 -88 -66=SYSMIS).
RECODE PCLASS6                  (-99 -88 -66=SYSMIS).
RECODE PCLASS7                  (-99 -88 -66=SYSMIS).
RECODE PCLASS8                  (-99 -88 -66=SYSMIS).
RECODE PCLASS9                  (-99 -88 -66=SYSMIS).
RECODE PCLASS10                 (-99 -88 -66=SYSMIS).
RECODE PCLASS11                 (-99 -88 -66=SYSMIS).
RECODE PCLASS12                 (-99 -88 -66=SYSMIS).
RECODE PCLASS13                 (-99 -88 -66=SYSMIS).
RECODE PCLASS14                 (-99 -88 -66=SYSMIS).
RECODE PCLASS15                 (-99 -88 -66=SYSMIS).
RECODE PCLASS16                 (-99 -88 -66=SYSMIS).
RECODE PCLASS17                 (-99 -88 -66=SYSMIS).
RECODE PCLASS18                 (-99 -88 -66=SYSMIS).
RECODE PCLASS19                 (-99 -88 -66=SYSMIS).
RECODE PCLASS20                 (-99 -88 -66=SYSMIS).
RECODE PCLASS21                 (-99 -88 -66=SYSMIS).
RECODE PCLASS22                 (-99 -88 -66=SYSMIS).
RECODE PCLASS23                 (-99 -88 -66=SYSMIS).
RECODE PCLASS24                 (-99 -88 -66=SYSMIS).
RECODE PCLASS25                 (-99 -88 -66=SYSMIS).

SAVE OUTFILE = 'KID_2019_DX_PR_GRPS.SAV' / COMPRESSED.
